local HandyNotes = LibStub("AceAddon-3.0"):GetAddon("HandyNotes", true)
if not HandyNotes then return end
local L = LibStub("AceLocale-3.0"):GetLocale("HandyNotes_NPCs (Classic)")
local iconDefault = "Interface\\MINIMAP\\TRACKING\\FlightMaster"

local icons = {
	auctioneers = "Interface\\MINIMAP\\TRACKING\\Auctioneer",
	bankers = "Interface\\MINIMAP\\TRACKING\\Banker",
	guildmasters = "Interface\\MINIMAP\\TRACKING\\POIArrow", -- FIX ME
	innkeepers = "Interface\\MINIMAP\\TRACKING\\Innkeeper",
	mailboxes = "Interface\\MINIMAP\\TRACKING\\Mailbox",
	repair = "Interface\\MINIMAP\\TRACKING\\Repair",
	spirithealers = "Interface\\MINIMAP\\TRACKING\\Focus", -- FIX ME
	stablemasters = "Interface\\MINIMAP\\TRACKING\\StableMaster",
	trainers = "Interface\\MINIMAP\\TRACKING\\Profession",
	vendors = "Interface\\MINIMAP\\TRACKING\\Food",
}

local db, learned
local _, class, faction
local nodes = { }

nodes[1446] = {
	[52002960] = {
		name = "Auctioneer Beardo",
		category = "auctioneers",
		description = "None",
		faction = "Neutral",
	},
	[52202880] = {
		name = "Qizzik",
		category = "bankers",
		description = "Banker",
		faction = "Alliance",
	},
	[52402780] = {
		name = "Innkeeper Fizzgrimble",
		category = "innkeepers",
		description = "Innkeeper",
		faction = "Neutral",
	},
	[52302780] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[51402880] = {
		name = "Krinkle Goodsteel",
		category = "vendors",
		description = "Blacksmithing Supplies",
		faction = "Alliance",
	},
	[50802760] = {
		name = "Blizrik Buckshot",
		category = "vendors",
		description = "Gunsmith",
		faction = "Neutral",
	},
	[54002880] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[52202800] = {
		name = "Laziphus",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[51002800] = {
		name = "Pikkle",
		category = "trainers",
		description = "Miner",
		faction = "Alliance",
	},
	[50802700] = {
		name = "Alchemist Pestlezugg",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Alliance",
	},
	[51002740] = {
		name = "Vizzklick",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Neutral",
	},
	[52602800] = {
		name = "Dirge Quikcleave",
		category = "vendors",
		description = "Butcher",
		faction = "Neutral",
	},
	[66602200] = {
		name = "Gikkix",
		category = "vendors",
		description = "Fisherman",
		faction = "Neutral",
	},
	[67002200] = {
		name = "Jabbey",
		category = "vendors",
		description = "General Goods",
		faction = "Alliance",
	},
}
nodes[1434] = {
	[27807700] = {
		name = "Auctioneer Kresky",
		category = "auctioneers",
		description = "None",
		faction = "Alliance",
	},
	[28407580] = {
		name = "Auctioneer Graves",
		category = "auctioneers",
		description = "None",
		faction = "Neutral",
	},
	[26607640] = {
		name = "Rickle Goldgrubber",
		category = "bankers",
		description = "Banker",
		faction = "Neutral",
	},
	[31402960] = {
		name = "Innkeeper Thulbek",
		category = "vendors",
		description = "Innkeeper",
		faction = "Horde",
	},
	[27007720] = {
		name = "Innkeeper Skindle",
		category = "vendors",
		description = "Innkeeper",
		faction = "Neutral",
	},
	[26707640] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[32202800] = {
		name = "Vharr",
		category = "vendors",
		description = "Superior Weaponsmith",
		faction = "Horde",
	},
	[31602900] = {
		name = "Hragran",
		category = "vendors",
		description = "Cloth & Leather Armor Merchant",
		faction = "Horde",
	},
	[32402800] = {
		name = "Krakk",
		category = "vendors",
		description = "Superior Armorer",
		faction = "Horde",
	},
	[28407540] = {
		name = "Zarena Cromwind",
		category = "vendors",
		description = "Superior Weaponsmith",
		faction = "Neutral",
	},
	[35601060] = {
		name = "Jaquilina Dramet",
		category = "vendors",
		description = "Superior Axecrafter",
		faction = "Neutral",
	},
	[28207460] = {
		name = "Haren Kanmae",
		category = "vendors",
		description = "Superior Bowyer",
		faction = "Neutral",
	},
	[28207520] = {
		name = "Kizz Bluntstrike",
		category = "vendors",
		description = "Macecrafter",
		faction = "Alliance",
	},
	[27407740] = {
		name = "Jutak",
		category = "vendors",
		description = "Blade Trader",
		faction = "Neutral",
	},
	[29007500] = {
		name = "Fargon Mortalak",
		category = "vendors",
		description = "Superior Armorer",
		faction = "Alliance",
	},
	[29007540] = {
		name = "Jansen Underwood",
		category = "vendors",
		description = "Blacksmithing Supplies",
		faction = "Alliance",
	},
	[28207740] = {
		name = "Qixdi Goodstitch",
		category = "vendors",
		description = "Cloth Armor and Accessories",
		faction = "Neutral",
	},
	[30007300] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[27207720] = {
		name = "Grimestack",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Neutral",
	},
	[27607760] = {
		name = "Flora Silverwind",
		category = "trainers",
		description = "Superior Herbalist",
		faction = "Alliance",
	},
	[31402800] = {
		name = "Mudduk",
		category = "trainers",
		description = "Superior Cook",
		faction = "Horde",
	},
	[31802880] = {
		name = "Brawn",
		category = "trainers",
		description = "Expert Leatherworker",
		faction = "Horde",
	},
	[31202860] = {
		name = "Kragg",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Horde",
	},
	[26807720] = {
		name = "Ian Strom",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Neutral",
	},
	[28607680] = {
		name = "Xizk Goodstitch",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Neutral",
	},
	[27407700] = {
		name = "Old Man Heming",
		category = "vendors",
		description = "Fisherman",
		faction = "Neutral",
	},
	[28007800] = {
		name = "Glyx Brewright",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Alliance",
	},
	[32202740] = {
		name = "Angrun",
		category = "trainers",
		description = "Superior Herbalist",
		faction = "Horde",
	},
	[38000300] = {
		name = "Corporal Bluth",
		category = "vendors",
		description = "Camp Trader",
		faction = "Alliance",
	},
	[32602920] = {
		name = "Nerrist",
		category = "vendors",
		description = "Trade Goods",
		faction = "Horde",
	},
	[31602800] = {
		name = "Uthok",
		category = "vendors",
		description = "General Supplies",
		faction = "Horde",
	},
	[28407680] = {
		name = "Sly Garrett",
		category = "vendors",
		description = "Shady Goods",
		faction = "Neutral",
	},
	[28207440] = {
		name = "Kelsey Yance",
		category = "vendors",
		description = "Cook",
		faction = "Neutral",
	},
	[27008240] = {
		name = "Cowardly Crosby",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Neutral",
	},
	[28407500] = {
		name = "Mazk Snipeshot",
		category = "vendors",
		description = "Engineering Supplies",
		faction = "Neutral",
	},
	[28407600] = {
		name = "Rikqiz",
		category = "vendors",
		description = "Leatherworking Supplies",
		faction = "Alliance",
	},
	[28207660] = {
		name = "Crazk Sparks",
		category = "vendors",
		description = "Fireworks Merchant",
		faction = "Neutral",
	},
	[28007680] = {
		name = "Wigcik",
		category = "vendors",
		description = "Superior Fisherman",
		faction = "Neutral",
	},
	[32202920] = {
		name = "Nargatt",
		category = "vendors",
		description = "Food & Drink",
		faction = "Horde",
	},
}
nodes[1453] = {
	[53206060] = {
		name = "Auctioneer Chilton",
		category = "auctioneers",
		description = "None",
		faction = "Alliance",
	},
	[53406020] = {
		name = "Auctioneer Fitch",
		category = "auctioneers",
		description = "None",
		faction = "Alliance",
	},
	[53405960] = {
		name = "Auctioneer Jaxon",
		category = "auctioneers",
		description = "None",
		faction = "Alliance",
	},
	[57407240] = {
		name = "Olivia Burnside",
		category = "bankers",
		description = "Banker",
		faction = "Alliance",
	},
	[57007280] = {
		name = "Newton Burnside",
		category = "bankers",
		description = "Banker",
		faction = "Alliance",
	},
	[56407320] = {
		name = "John Burnside",
		category = "bankers",
		description = "Banker",
		faction = "Alliance",
	},
	[57206800] = {
		name = "Aldwin Laughlin",
		category = "guildmasters",
		description = "Guild Master",
		faction = "Alliance",
	},
	[52806540] = {
		name = "Innkeeper Allison",
		category = "vendors",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[40008410] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[57205700] = {
		name = "Marda Weller",
		category = "vendors",
		description = "Weapons Merchant",
		faction = "Alliance",
	},
	[57205720] = {
		name = "Gunther Weller",
		category = "vendors",
		description = "Weapons Merchant",
		faction = "Alliance",
	},
	[55005580] = {
		name = "Carla Granger",
		category = "vendors",
		description = "Cloth Armor Merchant",
		faction = "Alliance",
	},
	[54805520] = {
		name = "Aldric Moore",
		category = "vendors",
		description = "Mail Armor Merchant",
		faction = "Alliance",
	},
	[54805540] = {
		name = "Lara Moore",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Alliance",
	},
	[50405740] = {
		name = "Lina Stover",
		category = "vendors",
		description = "Bow & Gun Merchant",
		faction = "Alliance",
	},
	[50205760] = {
		name = "Frederick Stover",
		category = "vendors",
		description = "Bow & Arrow Merchant",
		faction = "Alliance",
	},
	[49605500] = {
		name = "Lisbeth Schneider",
		category = "vendors",
		description = "Clothier",
		faction = "Alliance",
	},
	[41607660] = {
		name = "Wynne Larson",
		category = "vendors",
		description = "Robe Merchant",
		faction = "Alliance",
	},
	[42407660] = {
		name = "Evan Larson",
		category = "vendors",
		description = "Hatter",
		faction = "Alliance",
	},
	[43006540] = {
		name = "Allan Hafgan",
		category = "vendors",
		description = "Staves Merchant",
		faction = "Alliance",
	},
	[43407420] = {
		name = "Duncan Cullen",
		category = "vendors",
		description = "Light Armor Merchant",
		faction = "Alliance",
	},
	[64204300] = {
		name = "Bryan Cross",
		category = "vendors",
		description = "Shield Merchant",
		faction = "Alliance",
	},
	[67604880] = {
		name = "Seoman Griffith",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Alliance",
	},
	[74204760] = {
		name = "Osric Strang",
		category = "vendors",
		description = "Heavy Armor Merchant",
		faction = "Alliance",
	},
	[74204280] = {
		name = "Heinrich Stone",
		category = "vendors",
		description = "Blade Merchant",
		faction = "Alliance",
	},
	[69004240] = {
		name = "Gerik Koen",
		category = "vendors",
		description = "Two Handed Weapon Merchant",
		faction = "Alliance",
	},
	[67004320] = {
		name = "Mayda Thane",
		category = "vendors",
		description = "Cobbler",
		faction = "Alliance",
	},
	[74604780] = {
		name = "Wilhelm Strang",
		category = "vendors",
		description = "Mail Armor Merchant",
		faction = "Alliance",
	},
	[37003940] = {
		name = "Gregory Ardus",
		category = "vendors",
		description = "Staff & Mace Merchant",
		faction = "Alliance",
	},
	[43804320] = {
		name = "Agustus Moulaine",
		category = "vendors",
		description = "Mail Armor Merchant",
		faction = "Alliance",
	},
	[43604320] = {
		name = "Theresa Moulaine",
		category = "vendors",
		description = "Robe Vendor",
		faction = "Alliance",
	},
	[51401240] = {
		name = "Kathrum Axehand",
		category = "vendors",
		description = "Axe Merchant",
		faction = "Alliance",
	},
	[54401540] = {
		name = "Thulman Flintcrag",
		category = "vendors",
		description = "Guns Vendor",
		faction = "Alliance",
	},
	[56601700] = {
		name = "Kaita Deepforge",
		category = "vendors",
		description = "Blacksmithing Supplies",
		faction = "Alliance",
	},
	[73805320] = {
		name = "Officer Areyn",
		category = "vendors",
		description = "Accessories Quartermaster",
		faction = "Alliance",
	},
	[29405120] = {
		name = "Sylista",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[61201720] = {
		name = "Jenova Stoneshield",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[38208160] = {
		name = "Maginor Dumas",
		category = "trainers",
		description = "Master Mage",
		faction = "Alliance",
	},
	[38802640] = {
		name = "High Priestess Laurena",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[25407820] = {
		name = "Demisette Cloyce",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Alliance",
	},
	[78204720] = {
		name = "Ander Germaine",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[74405280] = {
		name = "Osborne the Night Man",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Alliance",
	},
	[37203300] = {
		name = "Lord Grayson Shadowbreaker",
		category = "trainers",
		description = "Paladin Trainer",
		faction = "Alliance",
	},
	[56801640] = {
		name = "Therum Deepforge",
		category = "trainers",
		description = "Expert Blacksmith",
		faction = "Alliance",
	},
	[67804900] = {
		name = "Maris Granger",
		category = "trainers",
		description = "Skinning Trainer",
		faction = "Alliance",
	},
	[43607380] = {
		name = "Lawrence Schneider",
		category = "trainers",
		description = "Journeyman Tailor",
		faction = "Alliance",
	},
	[43006420] = {
		name = "Jessara Cordell",
		category = "vendors",
		description = "Enchanting Supplies",
		faction = "Alliance",
	},
	[43207360] = {
		name = "Georgio Bolero",
		category = "trainers",
		description = "Artisan Tailor",
		faction = "Alliance",
	},
	[42802640] = {
		name = "Shaina Fuller",
		category = "trainers",
		description = "First Aid Trainer",
		faction = "Alliance",
	},
	[39407960] = {
		name = "Larimaine Purdue",
		category = "trainers",
		description = "Portal Trainer",
		faction = "Alliance",
	},
	[61601600] = {
		name = "Karrina Mekenda",
		category = "trainers",
		description = "Pet Trainer",
		faction = "Alliance",
	},
	[78804560] = {
		name = "Wu Shen",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[78604560] = {
		name = "Ilsa Corbin",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[75603700] = {
		name = "Stephen Ryback",
		category = "trainers",
		description = "Cooking Trainer",
		faction = "Alliance",
	},
	[41002820] = {
		name = "Brother Benjamin",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[38602680] = {
		name = "Brother Joshua",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[38603260] = {
		name = "Arthur the Faithful",
		category = "trainers",
		description = "Paladin Trainer",
		faction = "Alliance",
	},
	[37403200] = {
		name = "Katherine the Pure",
		category = "trainers",
		description = "Paladin Trainer",
		faction = "Alliance",
	},
	[45805820] = {
		name = "Catherine Leland",
		category = "vendors",
		description = "Fishing Supplier",
		faction = "Alliance",
	},
	[26207740] = {
		name = "Ursula Deline",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Alliance",
	},
	[25807900] = {
		name = "Sandahl",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Alliance",
	},
	[38607940] = {
		name = "Jennea Cannon",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Alliance",
	},
	[37008120] = {
		name = "Elsharin",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Alliance",
	},
	[46407920] = {
		name = "Lilyssia Nightbreeze",
		category = "trainers",
		description = "Expert Alchemist",
		faction = "Alliance",
	},
	[46407900] = {
		name = "Tel'Athir",
		category = "trainers",
		description = "Journeyman Alchemist",
		faction = "Alliance",
	},
	[15204980] = {
		name = "Shylamiir",
		category = "trainers",
		description = "Herbalism Trainer",
		faction = "Alliance",
	},
	[21005540] = {
		name = "Sheldras Moontree",
		category = "trainers",
		description = "Druid Trainer",
		faction = "Alliance",
	},
	[21405140] = {
		name = "Theridran",
		category = "trainers",
		description = "Druid Trainer",
		faction = "Alliance",
	},
	[18805360] = {
		name = "Maldryn",
		category = "trainers",
		description = "Druid Trainer",
		faction = "Alliance",
	},
	[51001720] = {
		name = "Gelman Stonehand",
		category = "trainers",
		description = "Mining Trainer",
		faction = "Alliance",
	},
	[61601540] = {
		name = "Einris Brightspear",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Alliance",
	},
	[62001500] = {
		name = "Ulfir Ironbeard",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Alliance",
	},
	[62401480] = {
		name = "Thorfin Stoneshield",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Alliance",
	},
	[54800780] = {
		name = "Lilliam Sparkspindle",
		category = "trainers",
		description = "Expert Engineer",
		faction = "Alliance",
	},
	[67204960] = {
		name = "Simon Tanner",
		category = "trainers",
		description = "Expert Leatherworker",
		faction = "Alliance",
	},
	[44807700] = {
		name = "Tannysa",
		category = "trainers",
		description = "Herbalism Trainer",
		faction = "Alliance",
	},
	[42007620] = {
		name = "Sellandus",
		category = "trainers",
		description = "Expert Tailor",
		faction = "Alliance",
	},
	[54600800] = {
		name = "Sprite Jumpsprocket",
		category = "trainers",
		description = "Journeyman Engineer",
		faction = "Alliance",
	},
	[43006400] = {
		name = "Betty Quin",
		category = "trainers",
		description = "Journeyman Enchanter",
		faction = "Alliance",
	},
	[67804940] = {
		name = "Randal Worth",
		category = "trainers",
		description = "Journeyman Leatherworker",
		faction = "Alliance",
	},
	[20205080] = {
		name = "Nara Meideros",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[57005760] = {
		name = "Woo Ping",
		category = "trainers",
		description = "Weapon Master",
		faction = "Alliance",
	},
	[78205720] = {
		name = "Lord Tony Romano",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Alliance",
	},
	[52006780] = {
		name = "Roberto Pupellyverbos",
		category = "vendors",
		description = "Merlot Connoisseur",
		faction = "Alliance",
	},
	[74603680] = {
		name = "Kendor Kabonka",
		category = "vendors",
		description = "Master of Cooking Recipes",
		faction = "Alliance",
	},
	[60406340] = {
		name = "Elaine Trias",
		category = "vendors",
		description = "Mistress of Cheese",
		faction = "Alliance",
	},
	[55806520] = {
		name = "Keldric Boucher",
		category = "vendors",
		description = "Arcane Goods Vendor",
		faction = "Alliance",
	},
	[56206500] = {
		name = "Kyra Boucher",
		category = "vendors",
		description = "Reagent Vendor",
		faction = "Alliance",
	},
	[58206140] = {
		name = "Thurman Mullby",
		category = "vendors",
		description = "General Goods Vendor",
		faction = "Alliance",
	},
	[58006080] = {
		name = "Edna Mullby",
		category = "vendors",
		description = "Trade Supplier",
		faction = "Alliance",
	},
	[52006840] = {
		name = "Julia Gallina",
		category = "vendors",
		description = "Wine Vendor",
		faction = "Alliance",
	},
	[64206100] = {
		name = "Bernard Gump",
		category = "vendors",
		description = "Florist",
		faction = "Alliance",
	},
	[64406060] = {
		name = "Felicia Gump",
		category = "vendors",
		description = "Herbalism Supplier",
		faction = "Alliance",
	},
	[29606780] = {
		name = "Darian Singh",
		category = "vendors",
		description = "Fireworks Vendor",
		faction = "Alliance",
	},
	[28607500] = {
		name = "Jarel Moor",
		category = "vendors",
		description = "Bartender",
		faction = "Alliance",
	},
	[32407980] = {
		name = "Charys Yserian",
		category = "vendors",
		description = "Arcane Trinkets Vendor",
		faction = "Alliance",
	},
	[36007480] = {
		name = "Owen Vaughn",
		category = "vendors",
		description = "Reagent Vendor",
		faction = "Alliance",
	},
	[40808980] = {
		name = "Joachim Brenlow",
		category = "vendors",
		description = "Bartender",
		faction = "Alliance",
	},
	[46607880] = {
		name = "Eldraeith",
		category = "vendors",
		description = "Herbalism Supplier",
		faction = "Alliance",
	},
	[41406520] = {
		name = "Adair Gilroy",
		category = "vendors",
		description = "Librarian",
		faction = "Alliance",
	},
	[67404900] = {
		name = "Alyssa Griffith",
		category = "vendors",
		description = "Bag Vendor",
		faction = "Alliance",
	},
	[78205920] = {
		name = "Jasper Fel",
		category = "vendors",
		description = "Shady Dealer",
		faction = "Alliance",
	},
	[76406000] = {
		name = "Sloan McCoy",
		category = "vendors",
		description = "Poison Supplier",
		faction = "Alliance",
	},
	[73803720] = {
		name = "Elly Langston",
		category = "vendors",
		description = "Barmaid",
		faction = "Alliance",
	},
	[43407400] = {
		name = "Alexandra Bolero",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Alliance",
	},
	[43202680] = {
		name = "Brother Cassius",
		category = "vendors",
		description = "Reagent Vendor",
		faction = "Alliance",
	},
	[57806300] = {
		name = "Thomas Miller",
		category = "vendors",
		description = "Baker",
		faction = "Alliance",
	},
	[60406360] = {
		name = "Ben Trias",
		category = "vendors",
		description = "Apprentice of Cheese",
		faction = "Alliance",
	},
	[57206840] = {
		name = "Rebecca Laughlin",
		category = "vendors",
		description = "Tabard Vendor",
		faction = "Alliance",
	},
	[76003680] = {
		name = "Erika Tate",
		category = "vendors",
		description = "Cooking Supplier",
		faction = "Alliance",
	},
	[51201680] = {
		name = "Brooke Stonebraid",
		category = "vendors",
		description = "Mining Supplier",
		faction = "Alliance",
	},
	[55200740] = {
		name = "Billibub Cogspinner",
		category = "vendors",
		description = "Engineering Supplier",
		faction = "Alliance",
	},
	[25807760] = {
		name = "Spackle Thornberry",
		category = "vendors",
		description = "Demon Trainer",
		faction = "Alliance",
	},
	[67204940] = {
		name = "Jillian Tanner",
		category = "vendors",
		description = "Leatherworking Supplies",
		faction = "Alliance",
	},
	[64003800] = {
		name = "Lil Timmy",
		category = "vendors",
		description = "Boy with kittens",
		faction = "Alliance",
	},
}
nodes[1454] = {
	[55606280] = {
		name = "Auctioneer Thathung",
		category = "auctioneers",
		description = "None",
		faction = "Horde",
	},
	[55406480] = {
		name = "Auctioneer Wabang",
		category = "auctioneers",
		description = "None",
		faction = "Horde",
	},
	[55006200] = {
		name = "Auctioneer Grimful",
		category = "auctioneers",
		description = "None",
		faction = "Horde",
	},
	[49606940] = {
		name = "Karus",
		category = "bankers",
		description = "Banker",
		faction = "Horde",
	},
	[50006880] = {
		name = "Koma",
		category = "bankers",
		description = "Banker",
		faction = "Horde",
	},
	[49206960] = {
		name = "Soran",
		category = "bankers",
		description = "Banker",
		faction = "Horde",
	},
	[43807460] = {
		name = "Urtrun Clanbringer",
		category = "guildmasters",
		description = "Guild Master",
		faction = "Horde",
	},
	[54006860] = {
		name = "Innkeeper Gryshka",
		category = "innkeepers",
		description = "Innkeeper",
		faction = "Horde",
	},
	[50807030] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[47406860] = {
		name = "Urtharo",
		category = "vendors",
		description = "Weapon Merchant",
		faction = "Horde",
	},
	[62605040] = {
		name = "Tor'phan",
		category = "vendors",
		description = "Cloth & Leather Armor Merchant",
		faction = "Horde",
	},
	[62804480] = {
		name = "Handor",
		category = "vendors",
		description = "Cloth & Leather Armor Merchant",
		faction = "Horde",
	},
	[56207360] = {
		name = "Ollanus",
		category = "vendors",
		description = "Light Armor Merchant",
		faction = "Horde",
	},
	[55807300] = {
		name = "Sana",
		category = "vendors",
		description = "Mail Armor Merchant",
		faction = "Horde",
	},
	[56007340] = {
		name = "Morgum",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Horde",
	},
	[52206240] = {
		name = "Kaja",
		category = "vendors",
		description = "Guns and Ammo Merchant",
		faction = "Horde",
	},
	[44404840] = {
		name = "Muragus",
		category = "vendors",
		description = "Staff Merchant",
		faction = "Horde",
	},
	[45405580] = {
		name = "Kareth",
		category = "vendors",
		description = "Blade Merchant",
		faction = "Horde",
	},
	[29807400] = {
		name = "Ukra'nor",
		category = "vendors",
		description = "Staff Merchant",
		faction = "Horde",
	},
	[82402360] = {
		name = "Tumi",
		category = "vendors",
		description = "Heavy Armor Merchant",
		faction = "Horde",
	},
	[73004200] = {
		name = "Kiro",
		category = "vendors",
		description = "War Harness Maker",
		faction = "Horde",
	},
	[81601880] = {
		name = "Koru",
		category = "vendors",
		description = "Mace & Staves Vendor",
		faction = "Horde",
	},
	[81401900] = {
		name = "Shoma",
		category = "vendors",
		description = "Weapon Vendor",
		faction = "Horde",
	},
	[81201900] = {
		name = "Zendo'jian",
		category = "vendors",
		description = "Weapon Vendor",
		faction = "Horde",
	},
	[77803840] = {
		name = "Jin'sora",
		category = "vendors",
		description = "Bow Merchant",
		faction = "Horde",
	},
	[82001880] = {
		name = "Galthuk",
		category = "vendors",
		description = "Two-Handed Weapons Merchant",
		faction = "Horde",
	},
	[44204840] = {
		name = "Katis",
		category = "vendors",
		description = "Wand Merchant",
		faction = "Horde",
	},
	[41406880] = {
		name = "Sergeant Ba'sha",
		category = "vendors",
		description = "Accessories Quartermaster",
		faction = "Horde",
	},
	[70201500] = {
		name = "Xon'cha",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[79602340] = {
		name = "Snarl",
		category = "trainers",
		description = "Expert Blacksmith",
		faction = "Horde",
	},
	[81401940] = {
		name = "Sayoc",
		category = "trainers",
		description = "Weapon Master",
		faction = "Horde",
	},
	[62804940] = {
		name = "Snang",
		category = "trainers",
		description = "Journeyman Tailor",
		faction = "Horde",
	},
	[75802440] = {
		name = "Thund",
		category = "trainers",
		description = "Journeyman Engineer",
		faction = "Horde",
	},
	[48004620] = {
		name = "Grol'dar",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Horde",
	},
	[48404700] = {
		name = "Mirket",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Horde",
	},
	[48404560] = {
		name = "Zevrost",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Horde",
	},
	[42805140] = {
		name = "Gest",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Horde",
	},
	[44005440] = {
		name = "Ormok",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Horde",
	},
	[69602920] = {
		name = "Lumak",
		category = "trainers",
		description = "Fishing Trainer",
		faction = "Horde",
	},
	[38803660] = {
		name = "Kardris Dreamseeker",
		category = "trainers",
		description = "Shaman Trainer",
		faction = "Horde",
	},
	[53803840] = {
		name = "Godan",
		category = "trainers",
		description = "Expert Enchanter",
		faction = "Horde",
	},
	[56603320] = {
		name = "Yelmak",
		category = "trainers",
		description = "Expert Alchemist",
		faction = "Horde",
	},
	[66201820] = {
		name = "Ormak Grimshot",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Horde",
	},
	[79603140] = {
		name = "Grezz Ragefist",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[80203220] = {
		name = "Sorek",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[82202300] = {
		name = "Saru Steelfury",
		category = "trainers",
		description = "Artisan Blacksmith",
		faction = "Horde",
	},
	[73002640] = {
		name = "Makaru",
		category = "trainers",
		description = "Mining Trainer",
		faction = "Horde",
	},
	[63405000] = {
		name = "Magar",
		category = "trainers",
		description = "Expert Tailor",
		faction = "Horde",
	},
	[62804440] = {
		name = "Karolek",
		category = "trainers",
		description = "Expert Leatherworker",
		faction = "Horde",
	},
	[34008440] = {
		name = "Arnok",
		category = "trainers",
		description = "First Aid Trainer",
		faction = "Horde",
	},
	[57405360] = {
		name = "Zamja",
		category = "trainers",
		description = "Cooking Trainer",
		faction = "Horde",
	},
	[43005340] = {
		name = "Shenthul",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Horde",
	},
	[37803660] = {
		name = "Sian'tsu",
		category = "trainers",
		description = "Shaman Trainer",
		faction = "Horde",
	},
	[55403960] = {
		name = "Jandi",
		category = "trainers",
		description = "Herbalism Trainer",
		faction = "Horde",
	},
	[67002000] = {
		name = "Xor'juul",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Horde",
	},
	[67801780] = {
		name = "Sian'dur",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Horde",
	},
	[80202980] = {
		name = "Zel'mak",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[75802520] = {
		name = "Nogg",
		category = "trainers",
		description = "Expert Engineer",
		faction = "Horde",
	},
	[69201320] = {
		name = "Kildar",
		category = "trainers",
		description = "Wolf Riding Instructor",
		faction = "Neutral",
	},
	[63204500] = {
		name = "Kamari",
		category = "trainers",
		description = "Journeyman Leatherworker",
		faction = "Horde",
	},
	[38408560] = {
		name = "Pephredo",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Horde",
	},
	[38808540] = {
		name = "Enyo",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Horde",
	},
	[38208620] = {
		name = "Deino",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Horde",
	},
	[38608560] = {
		name = "Thuul",
		category = "trainers",
		description = "Portal Trainer",
		faction = "Horde",
	},
	[35608700] = {
		name = "Zayus",
		category = "trainers",
		description = "High Priest",
		faction = "Neutral",
	},
	[35808740] = {
		name = "X'yera",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Neutral",
	},
	[35608760] = {
		name = "Ur'kyo",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Horde",
	},
	[63204520] = {
		name = "Thuwd",
		category = "trainers",
		description = "Skinning Trainer",
		faction = "Horde",
	},
	[39008600] = {
		name = "Uthel'nay",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Horde",
	},
	[66401500] = {
		name = "Xao'tsu",
		category = "trainers",
		description = "Pet Trainer",
		faction = "Horde",
	},
	[80602340] = {
		name = "Ug'thok",
		category = "trainers",
		description = "Journeyman Blacksmith",
		faction = "Horde",
	},
	[76002500] = {
		name = "Roxxik",
		category = "trainers",
		description = "Artisan Engineer",
		faction = "Horde",
	},
	[55803320] = {
		name = "Whuut",
		category = "trainers",
		description = "Journeyman Alchemist",
		faction = "Horde",
	},
	[53603820] = {
		name = "Jhag",
		category = "trainers",
		description = "Journeyman Enchanter",
		faction = "Horde",
	},
	[38603620] = {
		name = "Sagorne Creststrider",
		category = "trainers",
		description = "Shaman Trainer",
		faction = "Horde",
	},
	[44806980] = {
		name = "Olvia",
		category = "vendors",
		description = "Meat Vendor",
		faction = "Horde",
	},
	[48008020] = {
		name = "Shimra",
		category = "vendors",
		description = "General Trade Goods Merchant",
		faction = "Horde",
	},
	[45405680] = {
		name = "Horthus",
		category = "vendors",
		description = "Reagents Vendor",
		faction = "Horde",
	},
	[49005400] = {
		name = "Kor'jus",
		category = "vendors",
		description = "Mushroom Vendor",
		faction = "Horde",
	},
	[69802960] = {
		name = "Shankys",
		category = "vendors",
		description = "Fishing Supplies",
		faction = "Horde",
	},
	[42204960] = {
		name = "Rekkul",
		category = "vendors",
		description = "Poison Vendor",
		faction = "Horde",
	},
	[46004600] = {
		name = "Hagrus",
		category = "vendors",
		description = "Reagents Vendor",
		faction = "Horde",
	},
	[37605240] = {
		name = "Shan'ti",
		category = "vendors",
		description = "Fruit Vendor",
		faction = "Horde",
	},
	[53603800] = {
		name = "Kithas",
		category = "vendors",
		description = "Enchanting Supplies",
		faction = "Horde",
	},
	[56203420] = {
		name = "Kor'geld",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Horde",
	},
	[46004060] = {
		name = "Asoran",
		category = "vendors",
		description = "General Goods Vendor",
		faction = "Horde",
	},
	[45804060] = {
		name = "Magenius",
		category = "vendors",
		description = "Reagents Vendor",
		faction = "Horde",
	},
	[73202660] = {
		name = "Gorina",
		category = "vendors",
		description = "Mining Supplier",
		faction = "Horde",
	},
	[69201240] = {
		name = "Ogunaro Wolfrunner",
		category = "vendors",
		description = "Kennel Master",
		faction = "Horde",
	},
	[63005120] = {
		name = "Borya",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Horde",
	},
	[63004520] = {
		name = "Tamar",
		category = "vendors",
		description = "Leatherworking Supplies",
		faction = "Horde",
	},
	[57405780] = {
		name = "Felika",
		category = "vendors",
		description = "General Trade Goods Merchant",
		faction = "Horde",
	},
	[57405340] = {
		name = "Borstan",
		category = "vendors",
		description = "Meat Vendor",
		faction = "Horde",
	},
	[58805300] = {
		name = "Gotri",
		category = "vendors",
		description = "Bag Vendor",
		faction = "Horde",
	},
	[57605320] = {
		name = "Xen'to",
		category = "vendors",
		description = "Cooking Supplier",
		faction = "Horde",
	},
	[55003960] = {
		name = "Zeal'aya",
		category = "vendors",
		description = "Herbalism Supplier",
		faction = "Horde",
	},
	[75602520] = {
		name = "Sovik",
		category = "vendors",
		description = "Engineering Supplies",
		faction = "Horde",
	},
	[43807440] = {
		name = "Garyl",
		category = "vendors",
		description = "Tabard Vendor",
		faction = "Horde",
	},
	[54406800] = {
		name = "Barkeep Morag",
		category = "vendors",
		description = "None",
		faction = "Horde",
	},
	[47604680] = {
		name = "Kurgul",
		category = "vendors",
		description = "Demon Trainer",
		faction = "Horde",
	},
	[37807660] = {
		name = "Xan'tish",
		category = "vendors",
		description = "Snake Vendor",
		faction = "Horde",
	},
}
nodes[1455] = {
	[24007200] = {
		name = "Auctioneer Buckler",
		category = "auctioneers",
		description = "None",
		faction = "Alliance",
	},
	[24207440] = {
		name = "Auctioneer Redmuse",
		category = "auctioneers",
		description = "None",
		faction = "Alliance",
	},
	[25807500] = {
		name = "Auctioneer Lympkin",
		category = "auctioneers",
		description = "None",
		faction = "Alliance",
	},
	[34605900] = {
		name = "Barnum Stonemantle",
		category = "bankers",
		description = "Banker",
		faction = "Alliance",
	},
	[35406060] = {
		name = "Bailey Stonemantle",
		category = "bankers",
		description = "Banker",
		faction = "Alliance",
	},
	[36406220] = {
		name = "Soleil Stonemantle",
		category = "bankers",
		description = "Banker",
		faction = "Alliance",
	},
	[36008520] = {
		name = "Jondor Steelbrow",
		category = "guildmasters",
		description = "Guild Master",
		faction = "Alliance",
	},
	[18605160] = {
		name = "Innkeeper Firebrew",
		category = "vendors",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[21005190] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[51804240] = {
		name = "Thurgrum Deepforge",
		category = "vendors",
		description = "Blacksmithing Supplies",
		faction = "Alliance",
	},
	[36206600] = {
		name = "Dolman Steelfury",
		category = "vendors",
		description = "Weapon Merchant",
		faction = "Alliance",
	},
	[36406600] = {
		name = "Grenil Steelfury",
		category = "vendors",
		description = "Weapon Merchant",
		faction = "Alliance",
	},
	[31805780] = {
		name = "Bromiir Ormsen",
		category = "vendors",
		description = "Heavy Armor Merchant",
		faction = "Alliance",
	},
	[32405800] = {
		name = "Raena Flinthammer",
		category = "vendors",
		description = "Light Armor Merchant",
		faction = "Alliance",
	},
	[61808860] = {
		name = "Brenwyn Wintersteel",
		category = "vendors",
		description = "Blade Merchant",
		faction = "Alliance",
	},
	[62008900] = {
		name = "Kelomir Ironhand",
		category = "vendors",
		description = "Maces & Staves",
		faction = "Alliance",
	},
	[71806600] = {
		name = "Skolmin Goldfury",
		category = "vendors",
		description = "Bow Merchant",
		faction = "Neutral",
	},
	[72406600] = {
		name = "Bretta Goldfury",
		category = "vendors",
		description = "Gun Merchant",
		faction = "Alliance",
	},
	[54208820] = {
		name = "Dolkin Craghelm",
		category = "vendors",
		description = "Mail Armor Merchant",
		faction = "Alliance",
	},
	[54808840] = {
		name = "Lissyphus Finespindle",
		category = "vendors",
		description = "Light Armor Merchant",
		faction = "Neutral",
	},
	[22801660] = {
		name = "Harick Boulderdrum",
		category = "vendors",
		description = "Wands Merchant",
		faction = "Alliance",
	},
	[22601620] = {
		name = "Bingus",
		category = "vendors",
		description = "Weapon Merchant",
		faction = "Alliance",
	},
	[38400560] = {
		name = "Ingrys Stonebrow",
		category = "vendors",
		description = "Cloth Armor Merchant",
		faction = "Alliance",
	},
	[38800560] = {
		name = "Maeva Snowbraid",
		category = "vendors",
		description = "Robe Merchant",
		faction = "Alliance",
	},
	[45400640] = {
		name = "Hjoldir Stoneblade",
		category = "vendors",
		description = "Blade Merchant",
		faction = "Alliance",
	},
	[61208920] = {
		name = "Thalgus Thunderfist",
		category = "vendors",
		description = "Weapon Merchant",
		faction = "Alliance",
	},
	[69208420] = {
		name = "Ulbrek Firehand",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[66405520] = {
		name = "Tally Berryfizz",
		category = "trainers",
		description = "Expert Alchemist",
		faction = "Alliance",
	},
	[39003280] = {
		name = "Gretta Finespindle",
		category = "trainers",
		description = "Journeyman Leatherworker",
		faction = "Alliance",
	},
	[43602820] = {
		name = "Uthrar Threx",
		category = "trainers",
		description = "Journeyman Tailor",
		faction = "Alliance",
	},
	[67008960] = {
		name = "Kelstrum Stonebreaker",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[25600740] = {
		name = "Milstaff Stormeye",
		category = "trainers",
		description = "Portal Trainer",
		faction = "Alliance",
	},
	[50402600] = {
		name = "Geofram Bouldertoe",
		category = "trainers",
		description = "Mining Trainer",
		faction = "Alliance",
	},
	[52004180] = {
		name = "Bengus Deepforge",
		category = "trainers",
		description = "Artisan Blacksmith",
		faction = "Alliance",
	},
	[70209060] = {
		name = "Kelv Sternhammer",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[66008820] = {
		name = "Bilban Tosslespanner",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[71009000] = {
		name = "Daera Brightspear",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Alliance",
	},
	[70808400] = {
		name = "Olmin Burningbeard",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Alliance",
	},
	[69808320] = {
		name = "Regnus Thundergranite",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Alliance",
	},
	[39803340] = {
		name = "Fimble Finespindle",
		category = "trainers",
		description = "Expert Leatherworker",
		faction = "Alliance",
	},
	[55605880] = {
		name = "Reyna Stonebranch",
		category = "trainers",
		description = "Herbalism Trainer",
		faction = "Alliance",
	},
	[24800940] = {
		name = "Braenna Flintcrag",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[25201020] = {
		name = "Toldren Deepiron",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[27000820] = {
		name = "Dink",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Alliance",
	},
	[26200720] = {
		name = "Juli Stormkettle",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Alliance",
	},
	[23400500] = {
		name = "Valgar Highforge",
		category = "trainers",
		description = "Paladin Trainer",
		faction = "Neutral",
	},
	[24600480] = {
		name = "Beldruk Doombrow",
		category = "trainers",
		description = "Paladin Trainer",
		faction = "Alliance",
	},
	[23400620] = {
		name = "Brandur Ironhammer",
		category = "trainers",
		description = "Paladin Trainer",
		faction = "Alliance",
	},
	[54805860] = {
		name = "Nissa Firestone",
		category = "trainers",
		description = "First Aid Trainer",
		faction = "Alliance",
	},
	[43202900] = {
		name = "Jormund Stonebrow",
		category = "trainers",
		description = "Expert Tailor",
		faction = "Alliance",
	},
	[60004520] = {
		name = "Gimble Thistlefuzz",
		category = "trainers",
		description = "Expert Enchanter",
		faction = "Alliance",
	},
	[60003680] = {
		name = "Daryl Riknussun",
		category = "trainers",
		description = "Cooking Trainer",
		faction = "Alliance",
	},
	[48200660] = {
		name = "Grimnur Stonebrand",
		category = "trainers",
		description = "Fishing Trainer",
		faction = "Alliance",
	},
	[51601480] = {
		name = "Hulfdan Blackbeard",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Alliance",
	},
	[52401480] = {
		name = "Ormyr Flinteye",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Alliance",
	},
	[51801500] = {
		name = "Fenthwick",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Alliance",
	},
	[50800660] = {
		name = "Thistleheart",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Alliance",
	},
	[50200600] = {
		name = "Briarthorn",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Alliance",
	},
	[50200700] = {
		name = "Alexander Calder",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Alliance",
	},
	[68204400] = {
		name = "Springspindle Fizzlegear",
		category = "trainers",
		description = "Artisan Engineer",
		faction = "Alliance",
	},
	[39803300] = {
		name = "Balthus Stoneflayer",
		category = "trainers",
		description = "Skinning Trainer",
		faction = "Alliance",
	},
	[70808540] = {
		name = "Belia Thundergranite",
		category = "trainers",
		description = "Pet Trainer",
		faction = "Alliance",
	},
	[52004240] = {
		name = "Rotgath Stonebeard",
		category = "trainers",
		description = "Expert Blacksmith",
		faction = "Alliance",
	},
	[51804220] = {
		name = "Groum Stonebeard",
		category = "trainers",
		description = "Journeyman Blacksmith",
		faction = "Alliance",
	},
	[67804400] = {
		name = "Jemma Quikswitch",
		category = "trainers",
		description = "Journeyman Engineer",
		faction = "Alliance",
	},
	[67804300] = {
		name = "Gearcutter Cogspinner",
		category = "vendors",
		description = "Engineering Supplies",
		faction = "Alliance",
	},
	[60404480] = {
		name = "Thonys Pillarstone",
		category = "trainers",
		description = "Journeyman Enchanter",
		faction = "Alliance",
	},
	[26800760] = {
		name = "High Priest Rohan",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[61408920] = {
		name = "Buliwyf Stonehand",
		category = "trainers",
		description = "Weapon Master",
		faction = "Alliance",
	},
	[62008920] = {
		name = "Bixi Wobblebonk",
		category = "trainers",
		description = "Weapon Master",
		faction = "Alliance",
	},
	[51002620] = {
		name = "Golnir Bouldertoe",
		category = "vendors",
		description = "Mining Supplier",
		faction = "Alliance",
	},
	[36008540] = {
		name = "Lyesa Steelbrow",
		category = "vendors",
		description = "Guild Tabard Vendor",
		faction = "Alliance",
	},
	[38407360] = {
		name = "Fillius Fizzlespinner",
		category = "vendors",
		description = "Trade Supplier",
		faction = "Alliance",
	},
	[39007380] = {
		name = "Bryllia Ironbrand",
		category = "vendors",
		description = "General Goods Vendor",
		faction = "Alliance",
	},
	[32607600] = {
		name = "Myra Tyrngaarde",
		category = "vendors",
		description = "Bread Vendor",
		faction = "Alliance",
	},
	[19405620] = {
		name = "Barim Jurgenstaad",
		category = "vendors",
		description = "Reagent Vendor",
		faction = "Alliance",
	},
	[18805160] = {
		name = "Gwenna Firebrew",
		category = "vendors",
		description = "Barmaid",
		faction = "Alliance",
	},
	[64606940] = {
		name = "Sognar Cliffbeard",
		category = "vendors",
		description = "Meat Vendor",
		faction = "Alliance",
	},
	[54608720] = {
		name = "Olthran Craghelm",
		category = "vendors",
		description = "Heavy Armor Merchant",
		faction = "Neutral",
	},
	[39403400] = {
		name = "Bombus Finespindle",
		category = "vendors",
		description = "Leatherworking Supplies",
		faction = "Alliance",
	},
	[38407420] = {
		name = "Pithwick",
		category = "vendors",
		description = "Bag Vendor",
		faction = "Alliance",
	},
	[55005880] = {
		name = "Gwina Stonebranch",
		category = "vendors",
		description = "Herbalism Supplier",
		faction = "Alliance",
	},
	[72207600] = {
		name = "Edris Barleybeard",
		category = "vendors",
		description = "Barmaid",
		faction = "Alliance",
	},
	[31202740] = {
		name = "Ginny Longberry",
		category = "vendors",
		description = "Reagent Vendor",
		faction = "Alliance",
	},
	[43202840] = {
		name = "Poranna Snowbraid",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Alliance",
	},
	[60804420] = {
		name = "Tilli Thistlefuzz",
		category = "vendors",
		description = "Enchanting Supplies",
		faction = "Alliance",
	},
	[59803760] = {
		name = "Emrul Riknussun",
		category = "vendors",
		description = "Cooking Supplier",
		faction = "Alliance",
	},
	[47800660] = {
		name = "Tansy Puddlefizz",
		category = "vendors",
		description = "Fishing Supplier",
		faction = "Alliance",
	},
	[46402700] = {
		name = "Burbik Gearspanner",
		category = "vendors",
		description = "Trade Supplier",
		faction = "Alliance",
	},
	[52801320] = {
		name = "Tynnus Venomsprout",
		category = "vendors",
		description = "Shady Dealer",
		faction = "Alliance",
	},
	[66405460] = {
		name = "Soolie Berryfizz",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Alliance",
	},
	[73205340] = {
		name = "Fizzlebang Booms",
		category = "vendors",
		description = "Fireworks Vendor",
		faction = "Alliance",
	},
	[72207640] = {
		name = "Bruuk Barleybeard",
		category = "vendors",
		description = "Bartender",
		faction = "Alliance",
	},
	[53000620] = {
		name = "Jubahl Corpseseeker",
		category = "vendors",
		description = "Demon Trainer",
		faction = "Alliance",
	},
	[36001620] = {
		name = "Bimble Longberry",
		category = "vendors",
		description = "Fruit Vendor",
		faction = "Alliance",
	},
	[43002920] = {
		name = "Outfitter Eric",
		category = "vendors",
		description = "Speciality Tailoring Supplies",
		faction = "Alliance",
	},
	[45004700] = {
		name = "Sraaz",
		category = "vendors",
		description = "Pie Vendor",
		faction = "Alliance",
	},
}
nodes[1456] = {
	[40405220] = {
		name = "Auctioneer Stampi",
		category = "auctioneers",
		description = "None",
		faction = "Horde",
	},
	[38805060] = {
		name = "Auctioneer Gullem",
		category = "auctioneers",
		description = "None",
		faction = "Horde",
	},
	[47405860] = {
		name = "Torn",
		category = "bankers",
		description = "Banker",
		faction = "Horde",
	},
	[46805820] = {
		name = "Chesmu",
		category = "bankers",
		description = "Banker",
		faction = "Horde",
	},
	[47005900] = {
		name = "Atepa",
		category = "bankers",
		description = "Banker",
		faction = "Horde",
	},
	[37406300] = {
		name = "Thrumn",
		category = "vendors",
		description = "Tabard Vendor",
		faction = "Horde",
	},
	[45806420] = {
		name = "Innkeeper Pala",
		category = "vendors",
		description = "Innkeeper",
		faction = "Horde",
	},
	[45005920] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[41206200] = {
		name = "Jyn Stonehoof",
		category = "vendors",
		description = "Weapons Merchant",
		faction = "Horde",
	},
	[39805540] = {
		name = "Taur Stonehoof",
		category = "vendors",
		description = "Blacksmithing Supplies",
		faction = "Horde",
	},
	[46804540] = {
		name = "Kuna Thunderhorn",
		category = "vendors",
		description = "Bowyer & Fletching Goods",
		faction = "Horde",
	},
	[55605660] = {
		name = "Hogor Thunderhoof",
		category = "vendors",
		description = "Guns Merchant",
		faction = "Horde",
	},
	[53805720] = {
		name = "Delgo Ragetotem",
		category = "vendors",
		description = "Axe Merchant",
		faction = "Horde",
	},
	[53205800] = {
		name = "Etu Ragetotem",
		category = "vendors",
		description = "Mace & Staff Merchant",
		faction = "Horde",
	},
	[53205680] = {
		name = "Kard Ragetotem",
		category = "vendors",
		description = "Sword and Dagger Merchant",
		faction = "Horde",
	},
	[49604920] = {
		name = "Sunn Ragetotem",
		category = "vendors",
		description = "Staff Merchant",
		faction = "Horde",
	},
	[51805440] = {
		name = "Sura Wildmane",
		category = "vendors",
		description = "War Harness Vendor",
		faction = "Horde",
	},
	[43404400] = {
		name = "Tagain",
		category = "vendors",
		description = "Cloth Armor Merchant",
		faction = "Horde",
	},
	[42804320] = {
		name = "Grod",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Horde",
	},
	[42804440] = {
		name = "Fela",
		category = "vendors",
		description = "Heavy Armor Merchant",
		faction = "Horde",
	},
	[45205640] = {
		name = "Hewa",
		category = "vendors",
		description = "Cloth Armor Merchant",
		faction = "Horde",
	},
	[45405560] = {
		name = "Ahanu",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Horde",
	},
	[45005620] = {
		name = "Elki",
		category = "vendors",
		description = "Mail Armor Merchant",
		faction = "Horde",
	},
	[53205720] = {
		name = "Ohanko",
		category = "vendors",
		description = "Two Handed Weapon Merchant",
		faction = "Horde",
	},
	[57401720] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[45005960] = {
		name = "Bulrug",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[29402140] = {
		name = "Pand Stonebinder",
		category = "trainers",
		description = "First Aid Trainer",
		faction = "Horde",
	},
	[39605520] = {
		name = "Karn Stonehoof",
		category = "trainers",
		description = "Expert Blacksmith",
		faction = "Horde",
	},
	[34605740] = {
		name = "Brek Stonehoof",
		category = "trainers",
		description = "Mining Trainer",
		faction = "Horde",
	},
	[44204500] = {
		name = "Tepa",
		category = "trainers",
		description = "Expert Tailor",
		faction = "Horde",
	},
	[41804260] = {
		name = "Una",
		category = "trainers",
		description = "Artisan Leatherworker",
		faction = "Horde",
	},
	[42204320] = {
		name = "Mak",
		category = "trainers",
		description = "Journeyman Leatherworker",
		faction = "Horde",
	},
	[46803360] = {
		name = "Bena Winterhoof",
		category = "trainers",
		description = "Expert Alchemist",
		faction = "Horde",
	},
	[45003800] = {
		name = "Teg Dawnstrider",
		category = "trainers",
		description = "Expert Enchanter",
		faction = "Horde",
	},
	[49803980] = {
		name = "Komin Winterhoof",
		category = "trainers",
		description = "Herbalism Trainer",
		faction = "Horde",
	},
	[51005280] = {
		name = "Naal Mistrunner",
		category = "vendors",
		description = "Cooking Supplier",
		faction = "Horde",
	},
	[56004680] = {
		name = "Kah Mistrunner",
		category = "trainers",
		description = "Fishing Trainer",
		faction = "Horde",
	},
	[22802060] = {
		name = "Siln Skychaser",
		category = "trainers",
		description = "Shaman Trainer",
		faction = "Horde",
	},
	[23401920] = {
		name = "Tigor Skychaser",
		category = "trainers",
		description = "Shaman Trainer",
		faction = "Horde",
	},
	[22201920] = {
		name = "Beram Skychaser",
		category = "trainers",
		description = "Shaman Trainer",
		faction = "Horde",
	},
	[76402760] = {
		name = "Turak Runetotem",
		category = "trainers",
		description = "Druid Trainer",
		faction = "Horde",
	},
	[77002740] = {
		name = "Sheal Runetotem",
		category = "trainers",
		description = "Druid Trainer",
		faction = "Horde",
	},
	[76802980] = {
		name = "Kym Wildmane",
		category = "trainers",
		description = "Druid Trainer",
		faction = "Horde",
	},
	[58208820] = {
		name = "Kary Thunderhorn",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Horde",
	},
	[57408940] = {
		name = "Holt Thunderhorn",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Horde",
	},
	[58808660] = {
		name = "Urek Thunderhorn",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Horde",
	},
	[57608720] = {
		name = "Torm Ragetotem",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[57208900] = {
		name = "Sark Ragetotem",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[57808560] = {
		name = "Ker Ragetotem",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[25401500] = {
		name = "Miles Welsh",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Horde",
	},
	[24402220] = {
		name = "Malakai Cross",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Horde",
	},
	[25402080] = {
		name = "Father Cobb",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Neutral",
	},
	[22601480] = {
		name = "Archmage Shymm",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Horde",
	},
	[25401440] = {
		name = "Ursyn Ghull",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Horde",
	},
	[25202100] = {
		name = "Thurston Xane",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Horde",
	},
	[22201720] = {
		name = "Birgitte Cranston",
		category = "trainers",
		description = "Portal Trainer",
		faction = "Horde",
	},
	[44604280] = {
		name = "Mooranta",
		category = "trainers",
		description = "Skinning Trainer",
		faction = "Horde",
	},
	[54208360] = {
		name = "Hesuwa Thunderhorn",
		category = "trainers",
		description = "Pet Trainer",
		faction = "Horde",
	},
	[39205620] = {
		name = "Thrag Stonehoof",
		category = "trainers",
		description = "Journeyman Blacksmith",
		faction = "Horde",
	},
	[46803420] = {
		name = "Kray",
		category = "trainers",
		description = "Journeyman Alchemist",
		faction = "Horde",
	},
	[44004460] = {
		name = "Vhan",
		category = "trainers",
		description = "Journeyman Tailor",
		faction = "Horde",
	},
	[44803900] = {
		name = "Mot Dawnstrider",
		category = "trainers",
		description = "Journeyman Enchanter",
		faction = "Horde",
	},
	[42204280] = {
		name = "Tarn",
		category = "trainers",
		description = "Expert Leatherworker",
		faction = "Horde",
	},
	[40806240] = {
		name = "Ansekhwa",
		category = "trainers",
		description = "Weapon Master",
		faction = "Horde",
	},
	[34405700] = {
		name = "Kurm Stonehoof",
		category = "vendors",
		description = "Mining Supplier",
		faction = "Horde",
	},
	[41405360] = {
		name = "Fyr Mistrunner",
		category = "vendors",
		description = "Bread Vendor",
		faction = "Horde",
	},
	[43804460] = {
		name = "Mahu",
		category = "vendors",
		description = "Leatherworking & Tailoring Supplies",
		faction = "Horde",
	},
	[47203400] = {
		name = "Mani Winterhoof",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Horde",
	},
	[45003880] = {
		name = "Nata Dawnstrider",
		category = "vendors",
		description = "Enchanting Supplies",
		faction = "Horde",
	},
	[49603940] = {
		name = "Nida Winterhoof",
		category = "vendors",
		description = "Herbalism Supplier",
		faction = "Horde",
	},
	[49003460] = {
		name = "Tand",
		category = "vendors",
		description = "Basket Weaver",
		faction = "Horde",
	},
	[47204220] = {
		name = "Nan Mistrunner",
		category = "vendors",
		description = "Fruit Vendor",
		faction = "Horde",
	},
	[52404820] = {
		name = "Kaga Mistrunner",
		category = "vendors",
		description = "Meat Vendor",
		faction = "Horde",
	},
	[56004700] = {
		name = "Sewa Mistrunner",
		category = "vendors",
		description = "Fishing Supplier",
		faction = "Horde",
	},
	[41605440] = {
		name = "Chepi",
		category = "vendors",
		description = "Reagent Vendor",
		faction = "Horde",
	},
	[39006400] = {
		name = "Kuruk",
		category = "vendors",
		description = "General Goods Vendor",
		faction = "Horde",
	},
	[40406360] = {
		name = "Shadi Mistrunner",
		category = "vendors",
		description = "Trade Goods Supplier",
		faction = "Horde",
	},
	[39206380] = {
		name = "Pakwa",
		category = "vendors",
		description = "Bag Vendor",
		faction = "Horde",
	},
	[62205840] = {
		name = "Halpa",
		category = "vendors",
		description = "Prairie Dog Vendor",
		faction = "Neutral",
	},
}
nodes[1457] = {
	[56405220] = {
		name = "Auctioneer Tolon",
		category = "auctioneers",
		description = "None",
		faction = "Alliance",
	},
	[56405380] = {
		name = "Auctioneer Golothas",
		category = "auctioneers",
		description = "None",
		faction = "Alliance",
	},
	[55405300] = {
		name = "Auctioneer Cazarez",
		category = "auctioneers",
		description = "None",
		faction = "Neutral",
	},
	[39804240] = {
		name = "Idriana",
		category = "bankers",
		description = "Banker",
		faction = "Alliance",
	},
	[40004180] = {
		name = "Lairn",
		category = "bankers",
		description = "Banker",
		faction = "Alliance",
	},
	[40004220] = {
		name = "Garryeth",
		category = "bankers",
		description = "Banker",
		faction = "Alliance",
	},
	[67201560] = {
		name = "Innkeeper Saelienne",
		category = "vendors",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[41404220] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[59004600] = {
		name = "Cylania",
		category = "vendors",
		description = "Night Elf Armorer",
		faction = "Alliance",
	},
	[65406020] = {
		name = "Merelyssa",
		category = "vendors",
		description = "Blade Merchant",
		faction = "Alliance",
	},
	[55609000] = {
		name = "Anadyia",
		category = "vendors",
		description = "Robe Vendor",
		faction = "Alliance",
	},
	[63206660] = {
		name = "Landria",
		category = "vendors",
		description = "Bow Merchant",
		faction = "Alliance",
	},
	[60007180] = {
		name = "Vinasia",
		category = "vendors",
		description = "Cloth Armor Merchant",
		faction = "Alliance",
	},
	[57207720] = {
		name = "Melea",
		category = "vendors",
		description = "Mail Armor Merchant",
		faction = "Alliance",
	},
	[58604480] = {
		name = "Ariyell Skyshadow",
		category = "vendors",
		description = "Weapon Merchant",
		faction = "Alliance",
	},
	[65206000] = {
		name = "Kieran",
		category = "vendors",
		description = "Weapon Merchant",
		faction = "Neutral",
	},
	[64005900] = {
		name = "Glorandiir",
		category = "vendors",
		description = "Axe Merchant",
		faction = "Alliance",
	},
	[65006040] = {
		name = "Mythidan",
		category = "vendors",
		description = "Mace & Staff Merchant",
		faction = "Alliance",
	},
	[56008900] = {
		name = "Andrus",
		category = "vendors",
		description = "Staff Merchant",
		faction = "Alliance",
	},
	[53008000] = {
		name = "Cyridan",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Alliance",
	},
	[77002700] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[39400980] = {
		name = "Alassin",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[58403520] = {
		name = "Arias'ta Bladesinger",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[62004220] = {
		name = "Sildanair",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[38408080] = {
		name = "Astarii Starseeker",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[38008260] = {
		name = "Jandria",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[40008740] = {
		name = "Lariia",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[39600580] = {
		name = "Jeen'ra Nightrunner",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Alliance",
	},
	[40200880] = {
		name = "Jocaste",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Alliance",
	},
	[47605660] = {
		name = "Astaia",
		category = "trainers",
		description = "Fishing Trainer",
		faction = "Alliance",
	},
	[63402220] = {
		name = "Me'lynn",
		category = "trainers",
		description = "Expert Tailor",
		faction = "Alliance",
	},
	[55002400] = {
		name = "Ainethil",
		category = "trainers",
		description = "Artisan Alchemist",
		faction = "Alliance",
	},
	[36802180] = {
		name = "Syurna",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Alliance",
	},
	[40408200] = {
		name = "Elissa Dumas",
		category = "trainers",
		description = "Portal Trainer",
		faction = "Alliance",
	},
	[47806840] = {
		name = "Firodren Mooncaller",
		category = "trainers",
		description = "Herbalism Trainer",
		faction = "Alliance",
	},
	[42200760] = {
		name = "Dorion",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Alliance",
	},
	[49002120] = {
		name = "Alegorn",
		category = "trainers",
		description = "Cooking Trainer",
		faction = "Alliance",
	},
	[51601260] = {
		name = "Dannelor",
		category = "trainers",
		description = "First Aid Trainer",
		faction = "Alliance",
	},
	[64402120] = {
		name = "Telonis",
		category = "trainers",
		description = "Artisan Leatherworker",
		faction = "Alliance",
	},
	[58401340] = {
		name = "Taladan",
		category = "trainers",
		description = "Expert Enchanter",
		faction = "Alliance",
	},
	[34602560] = {
		name = "Erion Shadewhisper",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Alliance",
	},
	[37802140] = {
		name = "Anishar",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Neutral",
	},
	[35200800] = {
		name = "Mathrengyl Bearwalker",
		category = "trainers",
		description = "Druid Trainer",
		faction = "Alliance",
	},
	[34800780] = {
		name = "Denatharion",
		category = "trainers",
		description = "Druid Trainer",
		faction = "Alliance",
	},
	[33600860] = {
		name = "Fylerian Nightwing",
		category = "trainers",
		description = "Druid Trainer",
		faction = "Alliance",
	},
	[38601600] = {
		name = "Jartsam",
		category = "trainers",
		description = "Nightsaber Riding Instructor",
		faction = "Alliance",
	},
	[64202180] = {
		name = "Eladriel",
		category = "trainers",
		description = "Skinning Trainer",
		faction = "Alliance",
	},
	[58603520] = {
		name = "Darnath Bladesinger",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[42200880] = {
		name = "Silvaria",
		category = "trainers",
		description = "Pet Trainer",
		faction = "Alliance",
	},
	[55202260] = {
		name = "Milla Fairancora",
		category = "trainers",
		description = "Journeyman Alchemist",
		faction = "Alliance",
	},
	[56202420] = {
		name = "Sylvanna Forestmoon",
		category = "trainers",
		description = "Expert Alchemist",
		faction = "Alliance",
	},
	[63602140] = {
		name = "Trianna",
		category = "trainers",
		description = "Journeyman Tailor",
		faction = "Alliance",
	},
	[58801280] = {
		name = "Lalina Summermoon",
		category = "trainers",
		description = "Journeyman Enchanter",
		faction = "Alliance",
	},
	[64602160] = {
		name = "Faldron",
		category = "trainers",
		description = "Expert Leatherworker",
		faction = "Alliance",
	},
	[64402100] = {
		name = "Darianna",
		category = "trainers",
		description = "Journeyman Leatherworker",
		faction = "Alliance",
	},
	[39408080] = {
		name = "Priestess Alathea",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[57604640] = {
		name = "Ilyenia Moonfire",
		category = "trainers",
		description = "Weapon Master",
		faction = "Alliance",
	},
	[32601960] = {
		name = "Kyrai",
		category = "vendors",
		description = "Poison Vendor",
		faction = "Alliance",
	},
	[38604500] = {
		name = "Alaindia",
		category = "vendors",
		description = "Reagent Vendor",
		faction = "Alliance",
	},
	[41201960] = {
		name = "Dendrythis",
		category = "vendors",
		description = "Food & Drink Vendor",
		faction = "Alliance",
	},
	[64402160] = {
		name = "Elynna",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Alliance",
	},
	[62205800] = {
		name = "Jaeana",
		category = "vendors",
		description = "Meat Vendor",
		faction = "Alliance",
	},
	[64405300] = {
		name = "Ellandrieth",
		category = "vendors",
		description = "General Goods Vendor",
		faction = "Alliance",
	},
	[69404480] = {
		name = "Fyrenna",
		category = "vendors",
		description = "Food & Drink Vendor",
		faction = "Alliance",
	},
	[48206920] = {
		name = "Chardryn",
		category = "vendors",
		description = "Herbalism Supplier",
		faction = "Alliance",
	},
	[34000960] = {
		name = "Cyroen",
		category = "vendors",
		description = "Reagent Vendor",
		faction = "Alliance",
	},
	[47405700] = {
		name = "Talaelar",
		category = "vendors",
		description = "Fish Vendor",
		faction = "Alliance",
	},
	[47005680] = {
		name = "Voloren",
		category = "vendors",
		description = "Fishing Supplier",
		faction = "Alliance",
	},
	[48602120] = {
		name = "Fyldan",
		category = "vendors",
		description = "Cooking Supplier",
		faction = "Alliance",
	},
	[63802200] = {
		name = "Saenorion",
		category = "vendors",
		description = "Leatherworking Supplies",
		faction = "Alliance",
	},
	[55802440] = {
		name = "Ulthir",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Alliance",
	},
	[58601440] = {
		name = "Vaean",
		category = "vendors",
		description = "Enchanting Supplies",
		faction = "Alliance",
	},
	[61001800] = {
		name = "Mythrin'dir",
		category = "vendors",
		description = "General Trade Supplier",
		faction = "Alliance",
	},
	[65405300] = {
		name = "Yldan",
		category = "vendors",
		description = "Bag Merchant",
		faction = "Alliance",
	},
	[62406560] = {
		name = "Turian",
		category = "vendors",
		description = "Thrown Weapons Merchant",
		faction = "Neutral",
	},
	[56807620] = {
		name = "Caynrus",
		category = "vendors",
		description = "Shield Merchant",
		faction = "Neutral",
	},
	[70404520] = {
		name = "Mydrannul",
		category = "vendors",
		description = "General Goods Vendor",
		faction = "Alliance",
	},
	[38201560] = {
		name = "Lelanai",
		category = "vendors",
		description = "Saber Handler",
		faction = "Alliance",
	},
	[70402320] = {
		name = "Shalumon",
		category = "vendors",
		description = "Tabard Vendor",
		faction = "Alliance",
	},
	[69604560] = {
		name = "Shylenai",
		category = "vendors",
		description = "Owl Trainer",
		faction = "Alliance",
	},
}
nodes[1458] = {
	[67805220] = {
		name = "Auctioneer Leeka",
		category = "auctioneers",
		description = "None",
		faction = "Horde",
	},
	[64205220] = {
		name = "Auctioneer Epitwee",
		category = "auctioneers",
		description = "None",
		faction = "Horde",
	},
	[71204700] = {
		name = "Auctioneer Stockton",
		category = "auctioneers",
		description = "None",
		faction = "Horde",
	},
	[71404140] = {
		name = "Auctioneer Yarly",
		category = "auctioneers",
		description = "None",
		faction = "Horde",
	},
	[67803600] = {
		name = "Auctioneer Cain",
		category = "auctioneers",
		description = "None",
		faction = "Horde",
	},
	[64003600] = {
		name = "Auctioneer Naxxremis",
		category = "auctioneers",
		description = "None",
		faction = "Horde",
	},
	[60604120] = {
		name = "Auctioneer Tricket",
		category = "auctioneers",
		description = "None",
		faction = "Horde",
	},
	[60604680] = {
		name = "Auctioneer Rhyker",
		category = "auctioneers",
		description = "None",
		faction = "Horde",
	},
	[66004300] = {
		name = "Randolph Montague",
		category = "bankers",
		description = "Banker",
		faction = "Horde",
	},
	[66604400] = {
		name = "Mortimer Montague",
		category = "bankers",
		description = "Banker",
		faction = "Horde",
	},
	[65804520] = {
		name = "William Montague",
		category = "bankers",
		description = "Banker",
		faction = "Horde",
	},
	[65204400] = {
		name = "Ophelia Montague",
		category = "bankers",
		description = "Banker",
		faction = "Horde",
	},
	[69604440] = {
		name = "Christopher Drakul",
		category = "guildmasters",
		description = "Guild Master",
		faction = "Horde",
	},
	[67603800] = {
		name = "Innkeeper Norman",
		category = "innkeepers",
		description = "Innkeeper",
		faction = "Horde",
	},
	[67803840] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[61604180] = {
		name = "Gordon Wendham",
		category = "vendors",
		description = "Weapons Merchant",
		faction = "Horde",
	},
	[61404100] = {
		name = "Louis Warren",
		category = "vendors",
		description = "Weapons Merchant",
		faction = "Horde",
	},
	[64003800] = {
		name = "Lauren Newcomb",
		category = "vendors",
		description = "Light Armor Merchant",
		faction = "Horde",
	},
	[62803980] = {
		name = "Timothy Weldon",
		category = "vendors",
		description = "Heavy Armor Merchant",
		faction = "Horde",
	},
	[62603940] = {
		name = "Walter Ellingson",
		category = "vendors",
		description = "Heavy Armor Merchant",
		faction = "Horde",
	},
	[77005000] = {
		name = "Charles Seaton",
		category = "vendors",
		description = "Blade Merchant",
		faction = "Horde",
	},
	[69802740] = {
		name = "Sydney Upton",
		category = "vendors",
		description = "Staff Merchant",
		faction = "Horde",
	},
	[71002920] = {
		name = "Lucille Castleton",
		category = "vendors",
		description = "Robe Vendor",
		faction = "Horde",
	},
	[77205020] = {
		name = "Nathaniel Steenwick",
		category = "vendors",
		description = "Thrown Weapons Merchant",
		faction = "Horde",
	},
	[61402940] = {
		name = "Samuel Van Brunt",
		category = "vendors",
		description = "Blacksmithing Supplier",
		faction = "Horde",
	},
	[58403260] = {
		name = "Benijah Fenner",
		category = "vendors",
		description = "Weapon Merchant",
		faction = "Horde",
	},
	[58603240] = {
		name = "Francis Eliot",
		category = "vendors",
		description = "Weapon Merchant",
		faction = "Horde",
	},
	[62202700] = {
		name = "Nicholas Atwood",
		category = "vendors",
		description = "Gun Merchant",
		faction = "Horde",
	},
	[54803800] = {
		name = "Abigail Sawyer",
		category = "vendors",
		description = "Bow Merchant",
		faction = "Horde",
	},
	[70002720] = {
		name = "Zane Bradford",
		category = "vendors",
		description = "Wand Vendor",
		faction = "Horde",
	},
	[61402860] = {
		name = "Mirelle Tremayne",
		category = "vendors",
		description = "Heavy Armor Merchant",
		faction = "Horde",
	},
	[70405880] = {
		name = "Gillian Moore",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Horde",
	},
	[70402920] = {
		name = "Sheldon Von Croy",
		category = "vendors",
		description = "Cloth Armor Merchant",
		faction = "Horde",
	},
	[67601480] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[67403800] = {
		name = "Anya Maulray",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[70605880] = {
		name = "Dan Golthas",
		category = "trainers",
		description = "Journeyman Leatherworker",
		faction = "Horde",
	},
	[84201600] = {
		name = "Lexington Mortaim",
		category = "trainers",
		description = "Portal Trainer",
		faction = "Horde",
	},
	[62204460] = {
		name = "Eunice Burch",
		category = "trainers",
		description = "Cooking Trainer",
		faction = "Horde",
	},
	[86001560] = {
		name = "Kaal Soulreaper",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Horde",
	},
	[86201520] = {
		name = "Luther Pickman",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Horde",
	},
	[88601600] = {
		name = "Richard Kerwin",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Horde",
	},
	[85201420] = {
		name = "Kaelystia Hatebringer",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Horde",
	},
	[85401380] = {
		name = "Pierce Shackleton",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Horde",
	},
	[85001020] = {
		name = "Anastasia Hartwell",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Horde",
	},
	[80803120] = {
		name = "Armand Cromwell",
		category = "trainers",
		description = "Fishing Trainer",
		faction = "Horde",
	},
	[70603040] = {
		name = "Josef Gregorian",
		category = "trainers",
		description = "Artisan Tailor",
		faction = "Horde",
	},
	[83807180] = {
		name = "Carolyn Ward",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Horde",
	},
	[84807160] = {
		name = "Miles Dexter",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Horde",
	},
	[84007320] = {
		name = "Gregory Charles",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Neutral",
	},
	[75607280] = {
		name = "Graham Van Talen",
		category = "trainers",
		description = "Journeyman Engineer",
		faction = "Horde",
	},
	[70405780] = {
		name = "Arthur Moore",
		category = "trainers",
		description = "Expert Leatherworker",
		faction = "Horde",
	},
	[73405560] = {
		name = "Mary Edras",
		category = "trainers",
		description = "First Aid Trainer",
		faction = "Horde",
	},
	[47001520] = {
		name = "Christoph Walker",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[48201560] = {
		name = "Angela Curthas",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[47401700] = {
		name = "Baltus Fowler",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[61002980] = {
		name = "James Van Brunt",
		category = "trainers",
		description = "Expert Blacksmith",
		faction = "Horde",
	},
	[56003700] = {
		name = "Brom Killian",
		category = "trainers",
		description = "Mining Trainer",
		faction = "Horde",
	},
	[60002860] = {
		name = "Basil Frye",
		category = "trainers",
		description = "Journeyman Blacksmith",
		faction = "Horde",
	},
	[49201820] = {
		name = "Aelthalyste",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Horde",
	},
	[50001500] = {
		name = "Father Lankester",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Horde",
	},
	[47401920] = {
		name = "Father Lazarus",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Horde",
	},
	[51407420] = {
		name = "Doctor Marsh",
		category = "trainers",
		description = "Expert Alchemist",
		faction = "Horde",
	},
	[47607300] = {
		name = "Doctor Herbert Halsey",
		category = "trainers",
		description = "Artisan Alchemist",
		faction = "Horde",
	},
	[54204980] = {
		name = "Martha Alliestar",
		category = "trainers",
		description = "Herbalism Trainer",
		faction = "Horde",
	},
	[62406140] = {
		name = "Lavinia Crowe",
		category = "trainers",
		description = "Expert Enchanter",
		faction = "Horde",
	},
	[70205920] = {
		name = "Killian Hagey",
		category = "trainers",
		description = "Skinning Trainer",
		faction = "Horde",
	},
	[75807380] = {
		name = "Franklin Lloyd",
		category = "trainers",
		description = "Expert Engineer",
		faction = "Horde",
	},
	[46607440] = {
		name = "Doctor Martin Felben",
		category = "trainers",
		description = "Journeyman Alchemist Trainer",
		faction = "Horde",
	},
	[70202960] = {
		name = "Victor Ward",
		category = "trainers",
		description = "Journeyman Tailor",
		faction = "Horde",
	},
	[70203020] = {
		name = "Rhiannon Davis",
		category = "trainers",
		description = "Expert Tailor",
		faction = "Horde",
	},
	[62206020] = {
		name = "Malcomb Wynn",
		category = "trainers",
		description = "Journeyman Enchanter",
		faction = "Horde",
	},
	[57203260] = {
		name = "Archibald",
		category = "trainers",
		description = "Weapon Master",
		faction = "Horde",
	},
	[62204340] = {
		name = "Ronald Burch",
		category = "vendors",
		description = "Cooking Supplier",
		faction = "Horde",
	},
	[65804960] = {
		name = "Tawny Grisette",
		category = "vendors",
		description = "Mushroom Vendor",
		faction = "Horde",
	},
	[69004840] = {
		name = "Eleanor Rusk",
		category = "vendors",
		description = "General Goods Vendor",
		faction = "Horde",
	},
	[64203780] = {
		name = "Daniel Bartlett",
		category = "vendors",
		description = "General Trade Supplier",
		faction = "Horde",
	},
	[69403920] = {
		name = "Thomas Mordan",
		category = "vendors",
		description = "Reagent Vendor",
		faction = "Horde",
	},
	[77003040] = {
		name = "Morley Bates",
		category = "vendors",
		description = "Fungus Vendor",
		faction = "Horde",
	},
	[81003100] = {
		name = "Lizbeth Cromwell",
		category = "vendors",
		description = "Fishing Supplier",
		faction = "Horde",
	},
	[82601600] = {
		name = "Hannah Akeley",
		category = "vendors",
		description = "Reagent Supplier",
		faction = "Horde",
	},
	[70403020] = {
		name = "Millie Gregorian",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Horde",
	},
	[77203860] = {
		name = "Salazar Bloch",
		category = "vendors",
		description = "Book Dealer",
		faction = "Horde",
	},
	[75405140] = {
		name = "Ezekiel Graves",
		category = "vendors",
		description = "Poison Vendor",
		faction = "Horde",
	},
	[75607460] = {
		name = "Elizabeth Van Talen",
		category = "vendors",
		description = "Engineering Supplier",
		faction = "Horde",
	},
	[69606100] = {
		name = "Jonathan Chambers",
		category = "vendors",
		description = "Bag Vendor",
		faction = "Horde",
	},
	[56203680] = {
		name = "Sarah Killian",
		category = "vendors",
		description = "Mining Supplier",
		faction = "Horde",
	},
	[51807420] = {
		name = "Algernon",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Horde",
	},
	[54604940] = {
		name = "Katrina Alliestar",
		category = "vendors",
		description = "Herbalism Supplier",
		faction = "Horde",
	},
	[62006080] = {
		name = "Thaddeus Webb",
		category = "vendors",
		description = "Enchanting Supplies",
		faction = "Horde",
	},
	[64205020] = {
		name = "Felicia Doan",
		category = "vendors",
		description = "General Trade Goods Vendor",
		faction = "Horde",
	},
	[69204440] = {
		name = "Merill Pleasance",
		category = "vendors",
		description = "Tabard Vendor",
		faction = "Horde",
	},
	[85601580] = {
		name = "Martha Strain",
		category = "vendors",
		description = "Demon Trainer",
		faction = "Horde",
	},
	[58205520] = {
		name = "Alessandro Luca",
		category = "vendors",
		description = "Blue Moon Odds and Ends",
		faction = "Horde",
	},
	[67404440] = {
		name = "Jeremiah Payson",
		category = "vendors",
		description = "Cockroach Vendor",
		faction = "Horde",
	},
}
nodes[1413] = {
	[62603740] = {
		name = "Zikkel",
		category = "bankers",
		description = "Banker",
		faction = "Neutral",
	},
	[52002980] = {
		name = "Innkeeper Boorand Plainswind",
		category = "vendors",
		description = "Innkeeper",
		faction = "Horde",
	},
	[62003940] = {
		name = "Innkeeper Wiley",
		category = "vendors",
		description = "Innkeeper",
		faction = "Neutral",
	},
	[45605900] = {
		name = "Innkeeper Byula",
		category = "vendors",
		description = "Innkeeper",
		faction = "Horde",
	},
	[45105870] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[51002900] = {
		name = "Uthrok",
		category = "vendors",
		description = "Bowyer & Gunsmith",
		faction = "Horde",
	},
	[51202920] = {
		name = "Nargal Deatheye",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Horde",
	},
	[51202900] = {
		name = "Jahan Hawkwing",
		category = "vendors",
		description = "Leather & Mail Armor Merchant",
		faction = "Horde",
	},
	[52203180] = {
		name = "Halija Whitestrider",
		category = "vendors",
		description = "Clothier",
		faction = "Horde",
	},
	[62203740] = {
		name = "Ironzar",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Neutral",
	},
	[62203840] = {
		name = "Grazlix",
		category = "vendors",
		description = "Armorer & Shieldcrafter",
		faction = "Horde",
	},
	[52403060] = {
		name = "Lizzarik",
		category = "vendors",
		description = "Weapon Dealer",
		faction = "Neutral",
	},
	[43801220] = {
		name = "Vrang Wildgore",
		category = "vendors",
		description = "Weaponsmith & Armorcrafter",
		faction = "Horde",
	},
	[41803860] = {
		name = "Pizznukle",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Horde",
	},
	[45005900] = {
		name = "Sanuye Runetotem",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Horde",
	},
	[46600840] = {
		name = "Hecht Copperpinch",
		category = "vendors",
		description = "Smokywood Pastures",
		faction = "Horde",
	},
	[45206100] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[51602960] = {
		name = "Sikwa",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[45205860] = {
		name = "Kelsuwa",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[62203920] = {
		name = "Reggifuz",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[51202880] = {
		name = "Traugh",
		category = "trainers",
		description = "Expert Blacksmith",
		faction = "Horde",
	},
	[52203160] = {
		name = "Wrahk",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Horde",
	},
	[62603620] = {
		name = "Gagsprocket",
		category = "vendors",
		description = "Engineering Goods",
		faction = "Horde",
	},
	[44805940] = {
		name = "Gahroot",
		category = "vendors",
		description = "Butcher",
		faction = "Horde",
	},
	[55203180] = {
		name = "Duhng",
		category = "trainers",
		description = "Cook",
		faction = "Horde",
	},
	[52203060] = {
		name = "Moorane Hearthgrain",
		category = "vendors",
		description = "Baker",
		faction = "Horde",
	},
	[51603000] = {
		name = "Tari'qa",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Horde",
	},
	[52203200] = {
		name = "Kalyimah Stormcloud",
		category = "vendors",
		description = "Bags & Sacks",
		faction = "Horde",
	},
	[52602980] = {
		name = "Zargh",
		category = "vendors",
		description = "Butcher",
		faction = "Horde",
	},
	[51403020] = {
		name = "Hula'mahi",
		category = "vendors",
		description = "Reagents and Herbs",
		faction = "Horde",
	},
	[62803820] = {
		name = "Kilxx",
		category = "vendors",
		description = "Fisherman",
		faction = "Horde",
	},
	[61803880] = {
		name = "Jazzik",
		category = "vendors",
		description = "General Supplies",
		faction = "Neutral",
	},
	[61803860] = {
		name = "Ranik",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Horde",
	},
	[62003900] = {
		name = "Zizzek",
		category = "vendors",
		description = "Fisherman",
		faction = "Horde",
	},
	[52002960] = {
		name = "Larhka",
		category = "vendors",
		description = "Beverage Merchant",
		faction = "Horde",
	},
	[45005920] = {
		name = "Yonada",
		category = "vendors",
		description = "Tailoring & Leatherworking Supplies",
		faction = "Horde",
	},
	[55003200] = {
		name = "Tarban Hearthgrain",
		category = "vendors",
		description = "Baker",
		faction = "Horde",
	},
}
nodes[1452] = {
	[61403700] = {
		name = "Izzy Coppergrab",
		category = "bankers",
		description = "Banker",
		faction = "Neutral",
	},
	[61203480] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[61203880] = {
		name = "Innkeeper Vizzie",
		category = "vendors",
		description = "Innkeeper",
		faction = "Neutral",
	},
	[61603780] = {
		name = "Wixxrak",
		category = "vendors",
		description = "Weaponsmith & Gunsmith",
		faction = "Neutral",
	},
	[60803860] = {
		name = "Xizzer Fizzbolt",
		category = "vendors",
		description = "Engineering Supplies",
		faction = "Neutral",
	},
	[61803860] = {
		name = "Lunnix Sprocketslip",
		category = "vendors",
		description = "Mining Supplies",
		faction = "Neutral",
	},
	[61403900] = {
		name = "Himmik",
		category = "vendors",
		description = "Food & Drink",
		faction = "Neutral",
	},
	[60803780] = {
		name = "Evie Whirlbrew",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Neutral",
	},
	[61203720] = {
		name = "Qia",
		category = "vendors",
		description = "Trade Goods Supplies",
		faction = "Neutral",
	},
}
nodes[1440] = {
	[37004920] = {
		name = "Innkeeper Kimlya",
		category = "innkeepers",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[74006060] = {
		name = "Innkeeper Kaylisk",
		category = "innkeepers",
		description = "Innkeeper",
		faction = "Horde",
	},
	[36405030] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[50206720] = {
		name = "Bhaldaran Ravenshade",
		category = "vendors",
		description = "Bowyer",
		faction = "Alliance",
	},
	[34404960] = {
		name = "Aeolynn",
		category = "vendors",
		description = "Clothier",
		faction = "Alliance",
	},
	[34604980] = {
		name = "Tandaan Lightmane",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Alliance",
	},
	[73406040] = {
		name = "Burkrum",
		category = "vendors",
		description = "Heavy Armor Merchant",
		faction = "Horde",
	},
	[35805200] = {
		name = "Xai'ander",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Alliance",
	},
	[61408380] = {
		name = "Illiyana Moonblaze",
		category = "repair",
		description = "Silverwing Supply Officer",
		faction = "Alliance",
	},
	[40205300] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[36405040] = {
		name = "Maluressian",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[73406100] = {
		name = "Qeeju",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[50006780] = {
		name = "Danlaar Nightstride",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Alliance",
	},
	[50806700] = {
		name = "Kylanna",
		category = "trainers",
		description = "Expert Alchemist",
		faction = "Alliance",
	},
	[50606700] = {
		name = "Harklan Moongrove",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Alliance",
	},
	[49806700] = {
		name = "Caelyb",
		category = "trainers",
		description = "Pet Trainer",
		faction = "Alliance",
	},
	[50006720] = {
		name = "Jayla",
		category = "trainers",
		description = "Skinner",
		faction = "Alliance",
	},
	[18005980] = {
		name = "Alenndaar Lapidaar",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Neutral",
	},
	[10803360] = {
		name = "Kil'Hiwana",
		category = "trainers",
		description = "Fisherman",
		faction = "Horde",
	},
	[35005200] = {
		name = "Dalria",
		category = "vendors",
		description = "Trade Goods",
		faction = "Alliance",
	},
	[49606700] = {
		name = "Shandrina",
		category = "vendors",
		description = "Trade Goods",
		faction = "Alliance",
	},
	[34804980] = {
		name = "Lardan",
		category = "vendors",
		description = "Leatherworking Supplies",
		faction = "Alliance",
	},
	[37004980] = {
		name = "Nantar",
		category = "vendors",
		description = "Baker",
		faction = "Alliance",
	},
	[50006660] = {
		name = "Ulthaan",
		category = "vendors",
		description = "Butcher",
		faction = "Alliance",
	},
	[36604980] = {
		name = "Maliynn",
		category = "vendors",
		description = "Food & Drink Vendor",
		faction = "Alliance",
	},
	[34805080] = {
		name = "Haljan Oakheart",
		category = "vendors",
		description = "General Goods",
		faction = "Alliance",
	},
	[36404940] = {
		name = "Fahran Silentblade",
		category = "vendors",
		description = "Tools & Supplies",
		faction = "Alliance",
	},
	[35004840] = {
		name = "Llana",
		category = "vendors",
		description = "Reagent Supplies",
		faction = "Alliance",
	},
	[11803400] = {
		name = "Wik'Tar",
		category = "vendors",
		description = "Fish Merchant & Supplies",
		faction = "Horde",
	},
	[62008280] = {
		name = "Gapp Jinglepocket",
		category = "vendors",
		description = "Smokywood Pastures",
		faction = "Alliance",
	},
}
nodes[1442] = {
	[47406200] = {
		name = "Innkeeper Jayka",
		category = "vendors",
		description = "Innkeeper",
		faction = "Horde",
	},
	[35600580] = {
		name = "Innkeeper Faralia",
		category = "vendors",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[36100730] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[62604020] = {
		name = "Nizzik",
		category = "vendors",
		description = "Venture Armor Salesman",
		faction = "Horde",
	},
	[58205160] = {
		name = "Veenix",
		category = "vendors",
		description = "Venture Co. Merchant",
		faction = "Neutral",
	},
	[35400700] = {
		name = "Illyanie",
		category = "vendors",
		description = "Cloth Armor Merchant",
		faction = "Alliance",
	},
	[45205920] = {
		name = "Borand",
		category = "vendors",
		description = "Bowyer",
		faction = "Horde",
	},
	[57406200] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[47806140] = {
		name = "Gereck",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[49205720] = {
		name = "Hgarth",
		category = "trainers",
		description = "Artisan Enchanter",
		faction = "Horde",
	},
	[73409540] = {
		name = "Denni'ka",
		category = "vendors",
		description = "Butcher",
		faction = "Horde",
	},
	[45805860] = {
		name = "Grawnal",
		category = "vendors",
		description = "General Goods",
		faction = "Horde",
	},
	[47606160] = {
		name = "Jeeda",
		category = "vendors",
		description = "Apprentice Witch Doctor",
		faction = "Horde",
	},
	[35600620] = {
		name = "Chylina",
		category = "vendors",
		description = "General Supplies",
		faction = "Alliance",
	},
	[46205840] = {
		name = "Krond",
		category = "vendors",
		description = "Butcher",
		faction = "Horde",
	},
	[45405940] = {
		name = "Kulwia",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Horde",
	},
}
nodes[1443] = {
	[66200660] = {
		name = "Innkeeper Lyshaerya",
		category = "vendors",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[24206820] = {
		name = "Innkeeper Sikewa",
		category = "vendors",
		description = "Innkeeper",
		faction = "Horde",
	},
	[24806880] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[67800840] = {
		name = "Maxton Strang",
		category = "vendors",
		description = "Mail Armor Merchant",
		faction = "Alliance",
	},
	[55605640] = {
		name = "Muuran",
		category = "vendors",
		description = "Superior Macecrafter",
		faction = "Horde",
	},
	[25807100] = {
		name = "Hae'Wilani",
		category = "vendors",
		description = "Axecrafter",
		faction = "Horde",
	},
	[50206280] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[65400780] = {
		name = "Shelgrayn",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[55205620] = {
		name = "Narv Hidecrafter",
		category = "trainers",
		description = "Expert Leathercrafter",
		faction = "Horde",
	},
	[23206960] = {
		name = "Malux",
		category = "trainers",
		description = "Skinning Trainer",
		faction = "Horde",
	},
	[22607240] = {
		name = "Lui'Mala",
		category = "trainers",
		description = "Fisherman",
		faction = "Horde",
	},
	[51205320] = {
		name = "Harnor",
		category = "vendors",
		description = "Food & Drink",
		faction = "Horde",
	},
	[51005340] = {
		name = "Kireena",
		category = "vendors",
		description = "Trade Goods",
		faction = "Horde",
	},
	[25007180] = {
		name = "Tukk",
		category = "vendors",
		description = "General Goods Vendor",
		faction = "Horde",
	},
	[23007160] = {
		name = "Lah'Mawhani",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Horde",
	},
	[22607200] = {
		name = "Mai'Lahii",
		category = "vendors",
		description = "Fishing Supplies",
		faction = "Horde",
	},
	[26206960] = {
		name = "Wulan",
		category = "vendors",
		description = "Cooking Supplies",
		faction = "Horde",
	},
	[60203800] = {
		name = "Vendor-Tron 1000",
		category = "vendors",
		description = "None",
		faction = "Neutral",
	},
	[40407920] = {
		name = "Super-Seller 680",
		category = "vendors",
		description = "None",
		faction = "Neutral",
	},
	[66600680] = {
		name = "Christi Galvanis",
		category = "vendors",
		description = "General Goods",
		faction = "Alliance",
	},
}
nodes[1445] = {
	[66404520] = {
		name = "Innkeeper Janene",
		category = "vendors",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[65904540] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[36403080] = {
		name = "Krak",
		category = "vendors",
		description = "Armorer",
		faction = "Horde",
	},
	[36203160] = {
		name = "Zulrg",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Horde",
	},
	[64605040] = {
		name = "Hans Weston",
		category = "vendors",
		description = "Armorer & Shieldsmith",
		faction = "Alliance",
	},
	[64605020] = {
		name = "Marie Holdston",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Alliance",
	},
	[67404800] = {
		name = "Torq Ironblast",
		category = "vendors",
		description = "Gunsmith",
		faction = "Alliance",
	},
	[67404780] = {
		name = "Piter Verance",
		category = "vendors",
		description = "Weaponsmith & Armorer",
		faction = "Alliance",
	},
	[67804980] = {
		name = "Jensen Farran",
		category = "vendors",
		description = "Bowyer",
		faction = "Alliance",
	},
	[35403020] = {
		name = "Zanara",
		category = "vendors",
		description = "Bowyer",
		faction = "Horde",
	},
	[39603080] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[66004540] = {
		name = "Michael",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[64004760] = {
		name = "Uma Bartulm",
		category = "vendors",
		description = "Herbalism & Alchemy Supplies",
		faction = "Alliance",
	},
	[64004780] = {
		name = "Alchemist Narett",
		category = "trainers",
		description = "Expert Alchemist",
		faction = "Alliance",
	},
	[67404740] = {
		name = "Brother Karman",
		category = "trainers",
		description = "Paladin Trainer",
		faction = "Alliance",
	},
	[67804820] = {
		name = "Captain Evencane",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[66205160] = {
		name = "Timothy Worthington",
		category = "trainers",
		description = "Master Tailor",
		faction = "Alliance",
	},
	[36603100] = {
		name = "Ogg'marr",
		category = "vendors",
		description = "Butcher",
		faction = "Horde",
	},
	[65205140] = {
		name = "Gregor MacVince",
		category = "vendors",
		description = "Horse Breeder",
		faction = "Alliance",
	},
	[68204740] = {
		name = "Dwane Wertle",
		category = "vendors",
		description = "Chef",
		faction = "Alliance",
	},
	[66604520] = {
		name = "Bartender Lillian",
		category = "vendors",
		description = "Bartender",
		faction = "Alliance",
	},
	[66804520] = {
		name = "Craig Nollward",
		category = "vendors",
		description = "Cook",
		faction = "Alliance",
	},
	[67405160] = {
		name = "Charity Mipsy",
		category = "vendors",
		description = "General Goods",
		faction = "Alliance",
	},
	[66405140] = {
		name = "Helenia Olden",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Alliance",
	},
	[35203080] = {
		name = "Ghok'kah",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Horde",
	},
	[36403040] = {
		name = "Balai Lok'Wein",
		category = "vendors",
		description = "Potions, Scrolls and Reagents",
		faction = "Horde",
	},
}
nodes[1441] = {
	[46005140] = {
		name = "Innkeeper Abeqwa",
		category = "vendors",
		description = "Innkeeper",
		faction = "Horde",
	},
	[45805100] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[80407680] = {
		name = "Synge",
		category = "vendors",
		description = "Gun Merchant",
		faction = "Neutral",
	},
	[45005060] = {
		name = "Starn",
		category = "vendors",
		description = "Gunsmith & Bowyer",
		faction = "Horde",
	},
	[30402340] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[45605080] = {
		name = "Awenasa",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[21003180] = {
		name = "Laer Stepperunner",
		category = "vendors",
		description = "Food & Drink",
		faction = "Horde",
	},
	[45405100] = {
		name = "Turhaw",
		category = "vendors",
		description = "Butcher",
		faction = "Horde",
	},
	[45205080] = {
		name = "Montarr",
		category = "vendors",
		description = "Lorekeeper",
		faction = "Horde",
	},
	[80007640] = {
		name = "Riznek",
		category = "vendors",
		description = "Drink Vendor",
		faction = "Neutral",
	},
	[77407700] = {
		name = "Brivelthwerp",
		category = "vendors",
		description = "Ice Cream Vendor",
		faction = "Neutral",
	},
	[78207580] = {
		name = "Magus Tirth",
		category = "vendors",
		description = "None",
		faction = "Neutral",
	},
	[77607780] = {
		name = "Jinky Twizzlefixxit",
		category = "vendors",
		description = "Engineering Supplies",
		faction = "Neutral",
	},
}
nodes[1439] = {
	[37004400] = {
		name = "Innkeeper Shaussiy",
		category = "innkeepers",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[37304380] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[37604040] = {
		name = "Naram Longclaw",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Alliance",
	},
	[38204040] = {
		name = "Shaldyn",
		category = "vendors",
		description = "Clothier",
		faction = "Alliance",
	},
	[37004120] = {
		name = "Harlon Thornguard",
		category = "vendors",
		description = "Armorer & Shieldsmith",
		faction = "Alliance",
	},
	[38204120] = {
		name = "Elisa Steelhand",
		category = "vendors",
		description = "Blacksmithing Supplies",
		faction = "Alliance",
	},
	[41803640] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[37404420] = {
		name = "Jaelysia",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[38204100] = {
		name = "Jenna Lemkenilli",
		category = "trainers",
		description = "Journeyman Engineer",
		faction = "Alliance",
	},
	[37404040] = {
		name = "Dalmond",
		category = "vendors",
		description = "General Goods",
		faction = "Alliance",
	},
	[38004060] = {
		name = "Valdaron",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Alliance",
	},
	[36804440] = {
		name = "Kyndri",
		category = "vendors",
		description = "Baker",
		faction = "Alliance",
	},
	[37004360] = {
		name = "Allyndia",
		category = "vendors",
		description = "Food & Drink Vendor",
		faction = "Alliance",
	},
	[36804380] = {
		name = "Taldan",
		category = "vendors",
		description = "Drink Vendor",
		faction = "Alliance",
	},
	[43807640] = {
		name = "Ullanna",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Alliance",
	},
	[43607660] = {
		name = "Tiyani",
		category = "vendors",
		description = "Food & Drink Vendor",
		faction = "Alliance",
	},
	[36804420] = {
		name = "Laird",
		category = "vendors",
		description = "Fish Vendor",
		faction = "Alliance",
	},
	[37005620] = {
		name = "Heldan Galesong",
		category = "vendors",
		description = "Fisherman",
		faction = "Alliance",
	},
	[38004120] = {
		name = "Gorbold Steelhand",
		category = "vendors",
		description = "General Trade Supplier",
		faction = "Alliance",
	},
	[36004480] = {
		name = "Gubber Blump",
		category = "vendors",
		description = "None",
		faction = "Alliance",
	},
}
nodes[1412] = {
	[46606100] = {
		name = "Innkeeper Kauth",
		category = "vendors",
		description = "Innkeeper",
		faction = "Horde",
	},
	[47006030] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[44007740] = {
		name = "Marjak Keenblade",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Horde",
	},
	[44207720] = {
		name = "Varia Hardhide",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Horde",
	},
	[44207740] = {
		name = "Bronk Steelrage",
		category = "vendors",
		description = "Armorer and Shieldcrafter",
		faction = "Horde",
	},
	[45605860] = {
		name = "Mahnott Roughwound",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Horde",
	},
	[45605840] = {
		name = "Kennah Hawkseye",
		category = "vendors",
		description = "Gunsmith",
		faction = "Horde",
	},
	[45805860] = {
		name = "Harant Ironbrace",
		category = "vendors",
		description = "Armorer and Shieldcrafter",
		faction = "Horde",
	},
	[42607800] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[46806020] = {
		name = "Seikwa",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[44007600] = {
		name = "Harutt Thunderhorn",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[45007600] = {
		name = "Meela Dawnstrider",
		category = "trainers",
		description = "Shaman Trainer",
		faction = "Horde",
	},
	[44207580] = {
		name = "Lanka Farshot",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Horde",
	},
	[49406040] = {
		name = "Krang Stonehoof",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[48405960] = {
		name = "Gennia Runetotem",
		category = "trainers",
		description = "Druid Trainer",
		faction = "Horde",
	},
	[47805560] = {
		name = "Yaw Sharpmane",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Horde",
	},
	[48405920] = {
		name = "Narm Skychaser",
		category = "trainers",
		description = "Shaman Trainer",
		faction = "Horde",
	},
	[45405800] = {
		name = "Pyall Silentstride",
		category = "trainers",
		description = "Cook",
		faction = "Horde",
	},
	[45405780] = {
		name = "Yonn Deepcut",
		category = "trainers",
		description = "Skinner",
		faction = "Horde",
	},
	[47605560] = {
		name = "Reban Freerunner",
		category = "trainers",
		description = "Pet Trainer",
		faction = "Horde",
	},
	[47605840] = {
		name = "Kar Stormsinger",
		category = "trainers",
		description = "Kodo Riding Instructor",
		faction = "Horde",
	},
	[44406060] = {
		name = "Uthan Stillwater",
		category = "trainers",
		description = "Fisherman",
		faction = "Horde",
	},
	[46806080] = {
		name = "Vira Younghoof",
		category = "trainers",
		description = "First Aid Trainer",
		faction = "Horde",
	},
	[45207640] = {
		name = "Kawnie Softbreeze",
		category = "vendors",
		description = "General Goods",
		faction = "Horde",
	},
	[45805760] = {
		name = "Moorat Longstride",
		category = "vendors",
		description = "General Goods",
		faction = "Horde",
	},
	[46205820] = {
		name = "Wunna Darkmane",
		category = "vendors",
		description = "Trade Goods",
		faction = "Horde",
	},
	[47405840] = {
		name = "Harb Clawhoof",
		category = "vendors",
		description = "Kodo Mounts",
		faction = "Horde",
	},
	[44607780] = {
		name = "Moodan Sungrain",
		category = "vendors",
		description = "Baker",
		faction = "Horde",
	},
	[47606140] = {
		name = "Jhawna Oatwind",
		category = "vendors",
		description = "Baker",
		faction = "Horde",
	},
	[47405500] = {
		name = "Harn Longcast",
		category = "vendors",
		description = "Fishing Supplies",
		faction = "Horde",
	},
}
nodes[1444] = {
	[31004320] = {
		name = "Mardrack Greenwell",
		category = "vendors",
		description = "Food & Drink",
		faction = "Neutral",
	},
	[89404580] = {
		name = "Rendow",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Alliance",
	},
	[30604260] = {
		name = "Pratt McGrubben",
		category = "vendors",
		description = "Leatherworking Supplies",
		faction = "Alliance",
	},
	[74604260] = {
		name = "Worb Strongstitch",
		category = "vendors",
		description = "Light Armor Merchant",
		faction = "Horde",
	},
	[74804560] = {
		name = "Cawind Trueaim",
		category = "vendors",
		description = "Gunsmith & Bowyer",
		faction = "Horde",
	},
	[30804320] = {
		name = "Dulciea Frostmoon",
		category = "vendors",
		description = "Cloth Armor Merchant",
		faction = "Alliance",
	},
	[31604800] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[32204160] = {
		name = "Brannock",
		category = "trainers",
		description = "Fisherman",
		faction = "Neutral",
	},
	[32604380] = {
		name = "Logannas",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Alliance",
	},
	[76004220] = {
		name = "Jannos Lighthoof",
		category = "trainers",
		description = "Druid Trainer",
		faction = "Neutral",
	},
	[74404300] = {
		name = "Hahrana Ironhide",
		category = "trainers",
		description = "Master Leatherworker",
		faction = "Horde",
	},
	[76004340] = {
		name = "Ruw",
		category = "trainers",
		description = "Herbalism Trainer",
		faction = "Neutral",
	},
	[74604480] = {
		name = "Tarhus",
		category = "vendors",
		description = "Reagent Vendor",
		faction = "Horde",
	},
	[30804200] = {
		name = "Jadenvis Seawatcher",
		category = "vendors",
		description = "Reagent Vendor",
		faction = "Neutral",
	},
	[89004580] = {
		name = "Brienna Starglow",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Alliance",
	},
	[74804500] = {
		name = "Innkeeper Greul",
		category = "vendors",
		description = "Innkeeper",
		faction = "Neutral",
	},
	[49201980] = {
		name = "Kalin Windflight",
		category = "vendors",
		description = "None",
		faction = "Neutral",
	},
	[74404280] = {
		name = "Sheendra Tallgrass",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Horde",
	},
	[30604340] = {
		name = "Faralorn",
		category = "vendors",
		description = "General Supplies",
		faction = "Alliance",
	},
	[31004620] = {
		name = "Savanne",
		category = "vendors",
		description = "Fishing Supplies",
		faction = "Neutral",
	},
	[31204340] = {
		name = "Vivianna",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Alliance",
	},
	[75404380] = {
		name = "Loorana",
		category = "vendors",
		description = "Food & Drink",
		faction = "Horde",
	},
	[76004320] = {
		name = "Bronk",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Horde",
	},
	[44804320] = {
		name = "Zorbin Fandazzle",
		category = "vendors",
		description = "None",
		faction = "Neutral",
	},
}
nodes[1438] = {
	[55605980] = {
		name = "Innkeeper Keldamyr",
		category = "vendors",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[56105840] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[58803960] = {
		name = "Khardan Proudblade",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Alliance",
	},
	[59404120] = {
		name = "Keina",
		category = "vendors",
		description = "Bowyer",
		faction = "Alliance",
	},
	[59404100] = {
		name = "Janna Brightmoon",
		category = "vendors",
		description = "Clothier",
		faction = "Alliance",
	},
	[59003960] = {
		name = "Freja Nightwing",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Alliance",
	},
	[58603980] = {
		name = "Andiss",
		category = "vendors",
		description = "Armorer & Shieldcrafter",
		faction = "Alliance",
	},
	[56205940] = {
		name = "Meri Ironweave",
		category = "vendors",
		description = "Armorer & Shieldcrafter",
		faction = "Alliance",
	},
	[55805920] = {
		name = "Jeena Featherbow",
		category = "vendors",
		description = "Bowyer",
		faction = "Alliance",
	},
	[56206020] = {
		name = "Brannol Eaglemoon",
		category = "vendors",
		description = "Clothier",
		faction = "Alliance",
	},
	[56205960] = {
		name = "Sinda",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Alliance",
	},
	[56206320] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[56605960] = {
		name = "Seriadne",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[56805960] = {
		name = "Keldas",
		category = "trainers",
		description = "Pet Trainer",
		faction = "Alliance",
	},
	[59603840] = {
		name = "Alyissia",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[59603860] = {
		name = "Frahun Shadewhisper",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Alliance",
	},
	[59204040] = {
		name = "Shanda",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[58604040] = {
		name = "Mardant Strongoak",
		category = "trainers",
		description = "Druid Trainer",
		faction = "Alliance",
	},
	[56205920] = {
		name = "Kyra Windblade",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[56206000] = {
		name = "Jannok Breezesong",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Alliance",
	},
	[55605680] = {
		name = "Laurna Morninglight",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[56605940] = {
		name = "Dazalar",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Alliance",
	},
	[56006160] = {
		name = "Kal",
		category = "trainers",
		description = "Druid Trainer",
		faction = "Alliance",
	},
	[57606060] = {
		name = "Malorne Bladeleaf",
		category = "trainers",
		description = "Herbalist",
		faction = "Alliance",
	},
	[41804940] = {
		name = "Nadyia Maneweaver",
		category = "trainers",
		description = "Journeyman Leatherworker",
		faction = "Alliance",
	},
	[36603420] = {
		name = "Alanna Raveneye",
		category = "trainers",
		description = "Journeyman Enchanter",
		faction = "Alliance",
	},
	[55809340] = {
		name = "Androl Oakhand",
		category = "trainers",
		description = "Fisherman",
		faction = "Alliance",
	},
	[55205680] = {
		name = "Byancie",
		category = "trainers",
		description = "First Aid Trainer",
		faction = "Alliance",
	},
	[57006120] = {
		name = "Zarrin",
		category = "trainers",
		description = "Cook",
		faction = "Alliance",
	},
	[42005000] = {
		name = "Radnaal Maneweaver",
		category = "trainers",
		description = "Skinner",
		faction = "Alliance",
	},
	[55405720] = {
		name = "Danlyia",
		category = "vendors",
		description = "Food & Drink Vendor",
		faction = "Alliance",
	},
	[55205700] = {
		name = "Narret Shadowgrove",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Alliance",
	},
	[57206120] = {
		name = "Nyoma",
		category = "vendors",
		description = "Cooking Supplies",
		faction = "Alliance",
	},
	[59604080] = {
		name = "Dellylah",
		category = "vendors",
		description = "Food & Drink Vendor",
		faction = "Alliance",
	},
	[56209240] = {
		name = "Nessa Shadowsong",
		category = "vendors",
		description = "Fishing Supplies",
		faction = "Alliance",
	},
}
nodes[1411] = {
	[51604160] = {
		name = "Innkeeper Grosk",
		category = "vendors",
		description = "Innkeeper",
		faction = "Horde",
	},
	[51904210] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[40406800] = {
		name = "Kzan Thornslash",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Horde",
	},
	[40606780] = {
		name = "Huklah",
		category = "vendors",
		description = "Cloth & Leather Armor Merchant",
		faction = "Horde",
	},
	[40406780] = {
		name = "Rarc",
		category = "vendors",
		description = "Armorer & Shieldcrafter",
		faction = "Horde",
	},
	[52004040] = {
		name = "Uhgar",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Horde",
	},
	[53004100] = {
		name = "Ghrawt",
		category = "vendors",
		description = "Bowyer",
		faction = "Horde",
	},
	[53004080] = {
		name = "Cutac",
		category = "vendors",
		description = "Cloth & Leather Armor Merchant",
		faction = "Horde",
	},
	[52004120] = {
		name = "Wuark",
		category = "vendors",
		description = "Armorer & Shieldcrafter",
		faction = "Horde",
	},
	[56407320] = {
		name = "Trayexir",
		category = "vendors",
		description = "Weapon Merchant",
		faction = "Horde",
	},
	[47001760] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[52004180] = {
		name = "Shoja'my",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[42806940] = {
		name = "Frang",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[42806920] = {
		name = "Jen'shan",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Horde",
	},
	[41206800] = {
		name = "Rwag",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Horde",
	},
	[40606840] = {
		name = "Hraug",
		category = "vendors",
		description = "Demon Trainer",
		faction = "Horde",
	},
	[42406900] = {
		name = "Mai'ah",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Horde",
	},
	[54204240] = {
		name = "Tarshaw Jaggedscar",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[52004360] = {
		name = "Kaplak",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Horde",
	},
	[51804340] = {
		name = "Thotar",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Horde",
	},
	[54204120] = {
		name = "Dhugru Gorelust",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Horde",
	},
	[54404260] = {
		name = "Swart",
		category = "trainers",
		description = "Shaman Trainer",
		faction = "Horde",
	},
	[52004060] = {
		name = "Dwukk",
		category = "trainers",
		description = "Journeyman Blacksmith",
		faction = "Horde",
	},
	[51804080] = {
		name = "Krunn",
		category = "trainers",
		description = "Miner",
		faction = "Horde",
	},
	[55407400] = {
		name = "Miao'zan",
		category = "trainers",
		description = "Journeyman Alchemist",
		faction = "Horde",
	},
	[55407500] = {
		name = "Mishiki",
		category = "trainers",
		description = "Herbalist",
		faction = "Horde",
	},
	[52004340] = {
		name = "Harruk",
		category = "trainers",
		description = "Pet Trainer",
		faction = "Horde",
	},
	[54204280] = {
		name = "Tai'jin",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Horde",
	},
	[42406880] = {
		name = "Ken'jai",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Horde",
	},
	[56207500] = {
		name = "Un'Thuwa",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Horde",
	},
	[53208140] = {
		name = "Lau'Tiki",
		category = "trainers",
		description = "Fisherman",
		faction = "Horde",
	},
	[54004200] = {
		name = "Rawrk",
		category = "trainers",
		description = "First Aid Trainer",
		faction = "Horde",
	},
	[55207540] = {
		name = "Xar'Ti",
		category = "trainers",
		description = "Raptor Riding Trainer",
		faction = "Horde",
	},
	[52204080] = {
		name = "Mukdrak",
		category = "trainers",
		description = "Journeyman Engineer",
		faction = "Horde",
	},
	[42606740] = {
		name = "Duokna",
		category = "vendors",
		description = "General Goods",
		faction = "Horde",
	},
	[54204220] = {
		name = "Jark",
		category = "vendors",
		description = "General Goods",
		faction = "Horde",
	},
	[52804200] = {
		name = "Flakk",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Horde",
	},
	[56207340] = {
		name = "K'waii",
		category = "vendors",
		description = "General Goods",
		faction = "Horde",
	},
	[56407380] = {
		name = "Tai'tasi",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Horde",
	},
	[51204260] = {
		name = "Grimtak",
		category = "vendors",
		description = "Butcher",
		faction = "Horde",
	},
	[42606720] = {
		name = "Zlagk",
		category = "vendors",
		description = "Butcher",
		faction = "Horde",
	},
	[55607360] = {
		name = "Hai'zan",
		category = "vendors",
		description = "Butcher",
		faction = "Horde",
	},
	[56007340] = {
		name = "Zansoa",
		category = "vendors",
		description = "Fishing Supplies",
		faction = "Horde",
	},
	[54604140] = {
		name = "Kitha",
		category = "vendors",
		description = "Demon Trainer",
		faction = "Horde",
	},
	[55207560] = {
		name = "Zjolnir",
		category = "vendors",
		description = "Raptor Handler",
		faction = "Horde",
	},
}
nodes[1431] = {
	[73804440] = {
		name = "Innkeeper Trelayne",
		category = "vendors",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[73804620] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[73604880] = {
		name = "Gavin Gnarltree",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Alliance",
	},
	[73804860] = {
		name = "Morg Gnarltree",
		category = "vendors",
		description = "Armorer",
		faction = "Alliance",
	},
	[73204480] = {
		name = "Avette Fellwood",
		category = "vendors",
		description = "Bowyer",
		faction = "Alliance",
	},
	[20004940] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[74004620] = {
		name = "Steven Black",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[77404860] = {
		name = "Finbus Geargrind",
		category = "trainers",
		description = "Expert Engineer",
		faction = "Alliance",
	},
	[74004840] = {
		name = "Clarise Gnarltree",
		category = "trainers",
		description = "Expert Blacksmith",
		faction = "Alliance",
	},
	[74004960] = {
		name = "Matt Johnson",
		category = "trainers",
		description = "Mining Trainer",
		faction = "Alliance",
	},
	[74004480] = {
		name = "Mabel Solaj",
		category = "vendors",
		description = "General Goods Vendor",
		faction = "Alliance",
	},
	[73804420] = {
		name = "Barkeep Hann",
		category = "vendors",
		description = "Bartender",
		faction = "Alliance",
	},
	[75004640] = {
		name = "Antonio Perelli",
		category = "vendors",
		description = "Traveling Salesman",
		faction = "Alliance",
	},
	[73804500] = {
		name = "Gunder Thornbush",
		category = "vendors",
		description = "Tradesman",
		faction = "Alliance",
	},
	[75604460] = {
		name = "Lohgan Eva",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Alliance",
	},
	[76004520] = {
		name = "Alyssa Eva",
		category = "vendors",
		description = "Reagent Vendor",
		faction = "Alliance",
	},
	[18005440] = {
		name = "Bliztik",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Alliance",
	},
	[75804540] = {
		name = "Danielle Zipstitch",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Alliance",
	},
	[75604540] = {
		name = "Sheri Zipstitch",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Alliance",
	},
	[77804820] = {
		name = "Herble Baubbletump",
		category = "vendors",
		description = "Engineering and Mining Supplies",
		faction = "Alliance",
	},
	[81801980] = {
		name = "Kzixx",
		category = "vendors",
		description = "Rare Goods",
		faction = "Alliance",
	},
	[79404440] = {
		name = "Malissa",
		category = "vendors",
		description = "Poison Supplier",
		faction = "Alliance",
	},
	[75604840] = {
		name = "Scott Carevin",
		category = "vendors",
		description = "Mushroom Seller",
		faction = "Alliance",
	},
}
nodes[1424] = {
	[51205880] = {
		name = "Innkeeper Anderson",
		category = "vendors",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[62601900] = {
		name = "Innkeeper Shay",
		category = "vendors",
		description = "Innkeeper",
		faction = "Horde",
	},
	[50405860] = {
		name = "Wesley",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[80003900] = {
		name = "Kris Legace",
		category = "vendors",
		description = "Freewheeling Tradeswoman",
		faction = "Horde",
	},
	[51004800] = {
		name = "Zixil",
		category = "vendors",
		description = "Merchant Supreme",
		faction = "Neutral",
	},
	[60402600] = {
		name = "Ott",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Horde",
	},
	[51205700] = {
		name = "Robert Aebischer",
		category = "vendors",
		description = "Superior Armorsmith",
		faction = "Alliance",
	},
	[51805240] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[62201980] = {
		name = "Theodore Mont Claire",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[50606100] = {
		name = "Lindea Rabonne",
		category = "vendors",
		description = "Tackle and Bait",
		faction = "Alliance",
	},
	[61601960] = {
		name = "Aranae Venomblood",
		category = "trainers",
		description = "Herbalist",
		faction = "Horde",
	},
	[61601920] = {
		name = "Serge Hinott",
		category = "trainers",
		description = "Expert Alchemist",
		faction = "Horde",
	},
	[63602080] = {
		name = "Daryl Stack",
		category = "trainers",
		description = "Master Tailor",
		faction = "Horde",
	},
	[32004540] = {
		name = "Hillsbrad Apprentice Blacksmith",
		category = "vendors",
		description = "None",
		faction = "Neutral",
	},
	[52005560] = {
		name = "Merideth Carlson",
		category = "vendors",
		description = "Horse Breeder",
		faction = "Alliance",
	},
	[51005900] = {
		name = "Neema",
		category = "vendors",
		description = "Waitress",
		faction = "Alliance",
	},
	[48805720] = {
		name = "Bront Coldcleave",
		category = "vendors",
		description = "Butcher",
		faction = "Alliance",
	},
	[51405860] = {
		name = "Barkeep Kelly",
		category = "vendors",
		description = "Bartender",
		faction = "Alliance",
	},
	[50805700] = {
		name = "Nandar Branson",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Alliance",
	},
	[49005520] = {
		name = "Sarah Raycroft",
		category = "vendors",
		description = "General Goods",
		faction = "Alliance",
	},
	[62201900] = {
		name = "Christoph Jeffcoat",
		category = "vendors",
		description = "Tradesman",
		faction = "Horde",
	},
	[62002080] = {
		name = "Mallen Swain",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Horde",
	},
	[63001940] = {
		name = "Derak Nightfall",
		category = "vendors",
		description = "Cook",
		faction = "Horde",
	},
	[62401980] = {
		name = "Kayren Soothallow",
		category = "vendors",
		description = "General Goods",
		faction = "Horde",
	},
	[49806220] = {
		name = "Hal McAllister",
		category = "vendors",
		description = "Fish Merchant",
		faction = "Alliance",
	},
	[50805900] = {
		name = "Jaysin Lanyda",
		category = "vendors",
		description = "Poisons & Reagents",
		faction = "Alliance",
	},
	[61401980] = {
		name = "Jason Lemieux",
		category = "vendors",
		description = "Mushroom Seller",
		faction = "Horde",
	},
}
nodes[1432] = {
	[35404840] = {
		name = "Innkeeper Hearthstove",
		category = "vendors",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[34804780] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[34004660] = {
		name = "Morhan Coppertongue",
		category = "vendors",
		description = "Metalsmith",
		faction = "Alliance",
	},
	[42801000] = {
		name = "Nillen Andemar",
		category = "vendors",
		description = "Macecrafter",
		faction = "Alliance",
	},
	[82606400] = {
		name = "Kat Sampson",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Alliance",
	},
	[64806600] = {
		name = "Aldren Cordon",
		category = "vendors",
		description = "Clothier",
		faction = "Alliance",
	},
	[24001800] = {
		name = "Gothor Brumn",
		category = "vendors",
		description = "Armorer",
		faction = "Alliance",
	},
	[35804360] = {
		name = "Vrok Blunderblast",
		category = "vendors",
		description = "Gunsmith",
		faction = "Alliance",
	},
	[83006340] = {
		name = "Irene Sureshot",
		category = "vendors",
		description = "Gunsmith",
		faction = "Alliance",
	},
	[83006300] = {
		name = "Cliff Hadin",
		category = "vendors",
		description = "Bowyer",
		faction = "Alliance",
	},
	[32404680] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[34604800] = {
		name = "Lina Hearthstove",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[37004920] = {
		name = "Ghak Healtouch",
		category = "trainers",
		description = "Journeyman Alchemist",
		faction = "Alliance",
	},
	[36404840] = {
		name = "Kali Healtouch",
		category = "trainers",
		description = "Herbalist",
		faction = "Alliance",
	},
	[37004780] = {
		name = "Brock Stoneseeker",
		category = "trainers",
		description = "Mining Trainer",
		faction = "Alliance",
	},
	[40603960] = {
		name = "Warg Deepwater",
		category = "trainers",
		description = "Fisherman",
		faction = "Alliance",
	},
	[45801360] = {
		name = "Deek Fizzlebizz",
		category = "trainers",
		description = "Journeyman Engineer",
		faction = "Alliance",
	},
	[82206280] = {
		name = "Claude Erksine",
		category = "trainers",
		description = "Pet Trainer",
		faction = "Alliance",
	},
	[82206240] = {
		name = "Dargh Trueaim",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Alliance",
	},
	[37004720] = {
		name = "Karm Ironquill",
		category = "vendors",
		description = "Mining Supplies",
		faction = "Alliance",
	},
	[35604900] = {
		name = "Drac Roughcut",
		category = "vendors",
		description = "Tradesman",
		faction = "Alliance",
	},
	[36004600] = {
		name = "Rann Flamespinner",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Alliance",
	},
	[34804860] = {
		name = "Yanni Stoutheart",
		category = "vendors",
		description = "General Supplies",
		faction = "Alliance",
	},
	[39403920] = {
		name = "Khara Deepwater",
		category = "vendors",
		description = "Fishing Supplies",
		faction = "Alliance",
	},
	[82406340] = {
		name = "Xandar Goodbeard",
		category = "vendors",
		description = "General Supplies",
		faction = "Alliance",
	},
	[34404720] = {
		name = "Greishan Ironstove",
		category = "vendors",
		description = "Traveling Merchant",
		faction = "Alliance",
	},
	[35204960] = {
		name = "Honni Goldenoat",
		category = "vendors",
		description = "Baker",
		faction = "Alliance",
	},
}
nodes[1436] = {
	[52805360] = {
		name = "Innkeeper Heather",
		category = "vendors",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[53105330] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[57605380] = {
		name = "William MacGregor",
		category = "vendors",
		description = "Bowyer",
		faction = "Alliance",
	},
	[43406680] = {
		name = "Defias Profiteer",
		category = "vendors",
		description = "Free Wheeling Merchant",
		faction = "Alliance",
	},
	[51404960] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[53005300] = {
		name = "Kirk Maxwell",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[56003120] = {
		name = "Farmer Saldean",
		category = "vendors",
		description = "None",
		faction = "Alliance",
	},
	[56804720] = {
		name = "Quartermaster Lewis",
		category = "vendors",
		description = "Quartermaster",
		faction = "Alliance",
	},
	[57405220] = {
		name = "Antonio Perelli",
		category = "vendors",
		description = "Traveling Salesman",
		faction = "Alliance",
	},
	[57605360] = {
		name = "Mike Miller",
		category = "vendors",
		description = "Bread Merchant",
		faction = "Alliance",
	},
	[36209000] = {
		name = "Kriggon Talsone",
		category = "vendors",
		description = "Fisherman",
		faction = "Alliance",
	},
	[52205280] = {
		name = "Christopher Hewen",
		category = "vendors",
		description = "General Trade Goods Vendor",
		faction = "Alliance",
	},
}
nodes[1437] = {
	[10606080] = {
		name = "Innkeeper Helbrek",
		category = "vendors",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[10905970] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[11405940] = {
		name = "Murndan Derth",
		category = "vendors",
		description = "Gunsmith",
		faction = "Alliance",
	},
	[11405960] = {
		name = "Brahnmar",
		category = "vendors",
		description = "Armorer",
		faction = "Alliance",
	},
	[8205580] = {
		name = "Jennabink Powerseam",
		category = "vendors",
		description = "Tailoring Supplies & Specialty Goods",
		faction = "Alliance",
	},
	[11205840] = {
		name = "Naela Trance",
		category = "vendors",
		description = "Bowyer",
		faction = "Alliance",
	},
	[11005840] = {
		name = "Edwina Monzor",
		category = "vendors",
		description = "Fletcher",
		faction = "Alliance",
	},
	[25602580] = {
		name = "Wenna Silkbeard",
		category = "vendors",
		description = "Special Goods Dealer",
		faction = "Alliance",
	},
	[11404340] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[10405960] = {
		name = "Bethaine Flinthammer",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[8005580] = {
		name = "Telurinon Moonshadow",
		category = "trainers",
		description = "Herbalism Trainer",
		faction = "Alliance",
	},
	[8205860] = {
		name = "Harold Riggs",
		category = "trainers",
		description = "Fishing Trainer",
		faction = "Alliance",
	},
	[10806120] = {
		name = "Fremal Doohickey",
		category = "trainers",
		description = "First Aid Trainer",
		faction = "Alliance",
	},
	[10605680] = {
		name = "Neal Allen",
		category = "vendors",
		description = "Engineering & General Goods Supplier",
		faction = "Alliance",
	},
	[12005780] = {
		name = "Gruham Rumdnul",
		category = "vendors",
		description = "General Supplies",
		faction = "Alliance",
	},
	[8005620] = {
		name = "Dewin Shimmerdawn",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Alliance",
	},
	[10406060] = {
		name = "Kersok Prond",
		category = "vendors",
		description = "Tradesman",
		faction = "Alliance",
	},
	[10406020] = {
		name = "Samor Festivus",
		category = "vendors",
		description = "Shady Dealer",
		faction = "Alliance",
	},
	[8605440] = {
		name = "Unger Statforth",
		category = "vendors",
		description = "Horse Breeder",
		faction = "Alliance",
	},
	[8205640] = {
		name = "Falkan Armonis",
		category = "vendors",
		description = "Reagent Vendor",
		faction = "Alliance",
	},
	[26402580] = {
		name = "Fradd Swiftgear",
		category = "vendors",
		description = "Engineering Supplies",
		faction = "Alliance",
	},
	[8005820] = {
		name = "Stuart Fleming",
		category = "vendors",
		description = "Fisherman",
		faction = "Alliance",
	},
	[46601820] = {
		name = "Dark Iron Entrepreneur",
		category = "vendors",
		description = "Speciality Goods",
		faction = "Alliance",
	},
	[50203780] = {
		name = "Kixxle",
		category = "vendors",
		description = "Potions & Herbs",
		faction = "Alliance",
	},
}
nodes[1433] = {
	[26804460] = {
		name = "Innkeeper Brianna",
		category = "vendors",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[26404670] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[26804540] = {
		name = "Kimberly Hiett",
		category = "vendors",
		description = "Fletcher",
		faction = "Alliance",
	},
	[30604660] = {
		name = "Kara Adams",
		category = "vendors",
		description = "Shield Crafter",
		faction = "Alliance",
	},
	[30804660] = {
		name = "Dorin Songblade",
		category = "vendors",
		description = "Armorer",
		faction = "Alliance",
	},
	[23604140] = {
		name = "Henry Chapal",
		category = "vendors",
		description = "Gunsmith",
		faction = "Alliance",
	},
	[88407100] = {
		name = "Bernard Brubaker",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Alliance",
	},
	[20805640] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[26804660] = {
		name = "Penny",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[21404580] = {
		name = "Alma Jainrose",
		category = "trainers",
		description = "Herbalism Trainer",
		faction = "Alliance",
	},
	[26805120] = {
		name = "Matthew Hooper",
		category = "trainers",
		description = "Fishing Trainer",
		faction = "Alliance",
	},
	[22804380] = {
		name = "Crystal Boughman",
		category = "trainers",
		description = "Cooking Trainer",
		faction = "Alliance",
	},
	[88807100] = {
		name = "Wilma Ranthal",
		category = "trainers",
		description = "Skinning Trainer",
		faction = "Alliance",
	},
	[29004740] = {
		name = "Amy Davenport",
		category = "vendors",
		description = "Tradeswoman",
		faction = "Alliance",
	},
	[29804740] = {
		name = "Karen Taylor",
		category = "vendors",
		description = "Mining and Smithing Supplies",
		faction = "Alliance",
	},
	[28404740] = {
		name = "Lindsay Ashlock",
		category = "vendors",
		description = "General Supplies",
		faction = "Alliance",
	},
	[28804740] = {
		name = "Antonio Perelli",
		category = "vendors",
		description = "Traveling Salesman",
		faction = "Alliance",
	},
	[21004640] = {
		name = "Lamar Veisilli",
		category = "vendors",
		description = "Fruit Seller",
		faction = "Alliance",
	},
	[27404760] = {
		name = "Vernon Hale",
		category = "vendors",
		description = "Bait and Tackle Supplier",
		faction = "Alliance",
	},
	[88807080] = {
		name = "Clyde Ranthal",
		category = "vendors",
		description = "Leatherworking Supplies",
		faction = "Alliance",
	},
	[26604340] = {
		name = "Gloria Femmel",
		category = "vendors",
		description = "Cooking Supplies",
		faction = "Alliance",
	},
	[22604420] = {
		name = "Gretchen Vogel",
		category = "vendors",
		description = "Waitress",
		faction = "Alliance",
	},
	[26804340] = {
		name = "Sherman Femmel",
		category = "vendors",
		description = "Butcher",
		faction = "Alliance",
	},
	[25004120] = {
		name = "Gerald Crawley",
		category = "vendors",
		description = "Poison Supplier",
		faction = "Alliance",
	},
	[27204540] = {
		name = "Franklin Hamar",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Alliance",
	},
	[74407920] = {
		name = "Captured Servant of Azora",
		category = "vendors",
		description = "Specialist Tailoring Supplies",
		faction = "Alliance",
	},
	[26804380] = {
		name = "Bartender Wental",
		category = "vendors",
		description = "Food and Drinks",
		faction = "Alliance",
	},
}
nodes[1417] = {
	[73803260] = {
		name = "Innkeeper Adegwa",
		category = "vendors",
		description = "Innkeeper",
		faction = "Horde",
	},
	[73903320] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[46004740] = {
		name = "Jannos Ironwill",
		category = "vendors",
		description = "Superior Macecrafter",
		faction = "Alliance",
	},
	[72603340] = {
		name = "Mu'uta",
		category = "vendors",
		description = "Bowyer",
		faction = "Horde",
	},
	[73402980] = {
		name = "Rutherford Twing",
		category = "vendors",
		description = "Defilers Supply Officer",
		faction = "Horde",
	},
	[46004520] = {
		name = "Samuel Hawke",
		category = "vendors",
		description = "League of Arathor Supply Officer",
		faction = "Alliance",
	},
	[48805540] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[73803320] = {
		name = "Tharlidun",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[74003380] = {
		name = "Uttnar",
		category = "vendors",
		description = "Butcher",
		faction = "Horde",
	},
	[27205880] = {
		name = "Deneb Walker",
		category = "vendors",
		description = "Scrolls & Potions",
		faction = "Alliance",
	},
	[46404760] = {
		name = "Vikki Lonsav",
		category = "vendors",
		description = "General Goods",
		faction = "Alliance",
	},
	[46404740] = {
		name = "Hammon Karwn",
		category = "vendors",
		description = "Superior Tradesman",
		faction = "Alliance",
	},
	[46204720] = {
		name = "Drovnar Strongbrew",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Alliance",
	},
	[45604760] = {
		name = "Narj Deepslice",
		category = "vendors",
		description = "Butcher",
		faction = "Alliance",
	},
	[45004680] = {
		name = "Androd Fadran",
		category = "vendors",
		description = "Leatherworking Supplies",
		faction = "Alliance",
	},
	[74803460] = {
		name = "Tunkk",
		category = "vendors",
		description = "Leatherworking Supplies",
		faction = "Horde",
	},
	[74003240] = {
		name = "Graud",
		category = "vendors",
		description = "General Goods",
		faction = "Horde",
	},
	[74003260] = {
		name = "Keena",
		category = "vendors",
		description = "Trade Goods",
		faction = "Horde",
	},
	[72603640] = {
		name = "Jun'ha",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Horde",
	},
	[46404540] = {
		name = "Targot Jinglepocket",
		category = "vendors",
		description = "Smokywood Pastures",
		faction = "Alliance",
	},
	[74202940] = {
		name = "Kosco Copperpinch",
		category = "vendors",
		description = "Smokywood Pastures",
		faction = "Neutral",
	},
}
nodes[1421] = {
	[43204120] = {
		name = "Innkeeper Bates",
		category = "vendors",
		description = "Innkeeper",
		faction = "Horde",
	},
	[43404140] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[44603920] = {
		name = "Andrea Boynton",
		category = "vendors",
		description = "Clothier",
		faction = "Horde",
	},
	[45003940] = {
		name = "Nadia Vernon",
		category = "vendors",
		description = "Bowyer",
		faction = "Horde",
	},
	[44204140] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[43404120] = {
		name = "Sarah Goode",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[43404040] = {
		name = "Johan Focht",
		category = "trainers",
		description = "Miner",
		faction = "Horde",
	},
	[43204100] = {
		name = "Guillaume Sorouy",
		category = "trainers",
		description = "Journeyman Blacksmith",
		faction = "Horde",
	},
	[44004000] = {
		name = "Edwin Harly",
		category = "vendors",
		description = "General Supplies",
		faction = "Horde",
	},
	[46408640] = {
		name = "Wallace the Blind",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Neutral",
	},
	[43004180] = {
		name = "Patrice Dwyer",
		category = "vendors",
		description = "Poison Supplies",
		faction = "Horde",
	},
	[43204060] = {
		name = "Andrew Hilbert",
		category = "vendors",
		description = "Trade Goods",
		faction = "Horde",
	},
	[33001780] = {
		name = "Killian Sanatha",
		category = "vendors",
		description = "Fisherman",
		faction = "Horde",
	},
	[43005080] = {
		name = "Lilly",
		category = "vendors",
		description = "Enchanting Supplies",
		faction = "Horde",
	},
	[54008220] = {
		name = "Leo Sarn",
		category = "vendors",
		description = "Enchanting Supplies",
		faction = "Neutral",
	},
	[44003980] = {
		name = "Gwyn Farrow",
		category = "vendors",
		description = "Mushroom Merchant",
		faction = "Horde",
	},
}
nodes[1429] = {
	[43806580] = {
		name = "Barkeep Dobbins",
		category = "vendors",
		description = "Bartender",
		faction = "Alliance",
	},
	[42906540] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[41606580] = {
		name = "Corina Steele",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Alliance",
	},
	[41406560] = {
		name = "Kurran Steele",
		category = "vendors",
		description = "Cloth & Leather Armor Merchant",
		faction = "Alliance",
	},
	[47204180] = {
		name = "Janos Hammerknuckle",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Alliance",
	},
	[47604140] = {
		name = "Godric Rothgar",
		category = "vendors",
		description = "Armorer & Shieldcrafter",
		faction = "Alliance",
	},
	[25207380] = {
		name = "Quartermaster Hicks",
		category = "vendors",
		description = "Master Weaponsmith",
		faction = "Alliance",
	},
	[64606960] = {
		name = "Morley Eberlein",
		category = "vendors",
		description = "Clothier",
		faction = "Alliance",
	},
	[83206600] = {
		name = "Rallic Finn",
		category = "vendors",
		description = "Bowyer",
		faction = "Alliance",
	},
	[25207400] = {
		name = "Quartermaster Hudson",
		category = "vendors",
		description = "Armorer & Shieldcrafter",
		faction = "Alliance",
	},
	[41606560] = {
		name = "Andrew Krighton",
		category = "vendors",
		description = "Armorer & Shieldcrafter",
		faction = "Alliance",
	},
	[39406040] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[42806580] = {
		name = "Erma",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[49603940] = {
		name = "Khelden Bremen",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Alliance",
	},
	[43206620] = {
		name = "Zaldimar Wefhellt",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Alliance",
	},
	[49803960] = {
		name = "Priestess Anetta",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[43406560] = {
		name = "Michelle Belle",
		category = "trainers",
		description = "Physician",
		faction = "Alliance",
	},
	[49804260] = {
		name = "Drusilla La Salle",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Alliance",
	},
	[44406620] = {
		name = "Maximillian Crowe",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Alliance",
	},
	[50204220] = {
		name = "Llane Beshere",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[41006580] = {
		name = "Lyria Du Lac",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[50403980] = {
		name = "Jorik Kerridan",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Alliance",
	},
	[50404200] = {
		name = "Brother Sammuel",
		category = "trainers",
		description = "Paladin Trainer",
		faction = "Alliance",
	},
	[41006600] = {
		name = "Brother Wilhelm",
		category = "trainers",
		description = "Paladin Trainer",
		faction = "Alliance",
	},
	[79206900] = {
		name = "Eldrin",
		category = "trainers",
		description = "Journeyman Tailor",
		faction = "Alliance",
	},
	[39804840] = {
		name = "Herbalist Pomeroy",
		category = "trainers",
		description = "Herbalism Trainer",
		faction = "Alliance",
	},
	[44206600] = {
		name = "Toddrick",
		category = "vendors",
		description = "Butcher",
		faction = "Alliance",
	},
	[46406220] = {
		name = "Adele Fielder",
		category = "trainers",
		description = "Journeyman Leatherworker",
		faction = "Alliance",
	},
	[47406220] = {
		name = "Lee Brown",
		category = "trainers",
		description = "Fisherman",
		faction = "Alliance",
	},
	[84206480] = {
		name = "Randal Hunter",
		category = "trainers",
		description = "Horse Riding Instructor",
		faction = "Alliance",
	},
	[46206220] = {
		name = "Helene Peltskinner",
		category = "trainers",
		description = "Skinner",
		faction = "Alliance",
	},
	[64807040] = {
		name = "Kitta Firewind",
		category = "trainers",
		description = "Artisan Enchanter",
		faction = "Alliance",
	},
	[41806700] = {
		name = "Tharynn Bouden",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Alliance",
	},
	[47404160] = {
		name = "Brother Danil",
		category = "vendors",
		description = "General Supplies",
		faction = "Alliance",
	},
	[42408920] = {
		name = "Joshua Maclure",
		category = "vendors",
		description = "Vintner",
		faction = "Alliance",
	},
	[84006540] = {
		name = "Katie Hunter",
		category = "vendors",
		description = "Horse Breeder",
		faction = "Alliance",
	},
	[42606640] = {
		name = "Antonio Perelli",
		category = "vendors",
		description = "Traveling Salesman",
		faction = "Alliance",
	},
	[33608300] = {
		name = "Homer Stonefield",
		category = "vendors",
		description = "Fruit Seller",
		faction = "Alliance",
	},
	[24007300] = {
		name = "Sergeant De Vries",
		category = "vendors",
		description = "Morale Officer",
		faction = "Alliance",
	},
	[64806920] = {
		name = "Dawn Brightstar",
		category = "vendors",
		description = "Arcane Goods",
		faction = "Alliance",
	},
	[83206660] = {
		name = "Drake Lindgren",
		category = "vendors",
		description = "General & Trade Supplies",
		faction = "Alliance",
	},
	[82806320] = {
		name = "Terry Palin",
		category = "vendors",
		description = "Lumberjack",
		faction = "Alliance",
	},
	[39405660] = {
		name = "Kira Songshine",
		category = "vendors",
		description = "Traveling Baker",
		faction = "Alliance",
	},
	[44205320] = {
		name = "Donni Anthania",
		category = "vendors",
		description = "Crazy Cat Lady",
		faction = "Alliance",
	},
	[50004260] = {
		name = "Dane Winslow",
		category = "vendors",
		description = "Demon Trainer",
		faction = "Alliance",
	},
	[44406600] = {
		name = "Cylina Darkheart",
		category = "vendors",
		description = "Demon Trainer",
		faction = "Alliance",
	},
}
nodes[1420] = {
	[61605200] = {
		name = "Innkeeper Renee",
		category = "vendors",
		description = "Innkeeper",
		faction = "Horde",
	},
	[61405310] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[32406560] = {
		name = "Archibald Kava",
		category = "vendors",
		description = "Cloth & Leather Armor Merchant",
		faction = "Horde",
	},
	[32406620] = {
		name = "Blacksmith Rand",
		category = "vendors",
		description = "Apprentice Armorer",
		faction = "Horde",
	},
	[32406640] = {
		name = "Harold Raims",
		category = "vendors",
		description = "Apprentice Weaponsmith",
		faction = "Horde",
	},
	[60205300] = {
		name = "Abe Winters",
		category = "vendors",
		description = "Apprentice Armorer",
		faction = "Horde",
	},
	[60205340] = {
		name = "Oliver Dwor",
		category = "vendors",
		description = "Apprentice Weaponsmith",
		faction = "Horde",
	},
	[60405280] = {
		name = "Eliza Callen",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Horde",
	},
	[52605560] = {
		name = "Constance Brisboise",
		category = "vendors",
		description = "Apprentice Clothier",
		faction = "Horde",
	},
	[31206480] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[60005200] = {
		name = "Morganus",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Horde",
	},
	[59805200] = {
		name = "Faruza",
		category = "trainers",
		description = "Apprentice Herbalist",
		faction = "Horde",
	},
	[32606560] = {
		name = "Dannal Stern",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[31006600] = {
		name = "Dark Cleric Duesten",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Horde",
	},
	[30806600] = {
		name = "Isabella",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Horde",
	},
	[30806620] = {
		name = "Maximillion",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Horde",
	},
	[61605240] = {
		name = "Rupert Boch",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Horde",
	},
	[61805240] = {
		name = "Austil de Mon",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Horde",
	},
	[61605220] = {
		name = "Dark Cleric Beryl",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Horde",
	},
	[59405220] = {
		name = "Carolai Anise",
		category = "trainers",
		description = "Journeyman Alchemist",
		faction = "Horde",
	},
	[65406000] = {
		name = "Shelene Rhobart",
		category = "trainers",
		description = "Journeyman Leatherworker",
		faction = "Horde",
	},
	[60005240] = {
		name = "Velma Warnam",
		category = "trainers",
		description = "Undead Horse Riding Instructor",
		faction = "Horde",
	},
	[67205100] = {
		name = "Clyde Kellen",
		category = "trainers",
		description = "Fisherman",
		faction = "Horde",
	},
	[61605160] = {
		name = "Vance Undergloom",
		category = "trainers",
		description = "Journeyman Enchanter",
		faction = "Horde",
	},
	[61805280] = {
		name = "Nurse Neela",
		category = "trainers",
		description = "First Aid Trainer",
		faction = "Horde",
	},
	[65606000] = {
		name = "Rand Rhobart",
		category = "trainers",
		description = "Skinner",
		faction = "Horde",
	},
	[32206540] = {
		name = "Joshua Kien",
		category = "vendors",
		description = "General Supplies",
		faction = "Horde",
	},
	[61005240] = {
		name = "Abigail Shiel",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Horde",
	},
	[61005260] = {
		name = "Mrs. Winters",
		category = "vendors",
		description = "General Supplies",
		faction = "Horde",
	},
	[56805220] = {
		name = "Hamlin Atkins",
		category = "vendors",
		description = "Mushroom Farmer",
		faction = "Horde",
	},
	[61805000] = {
		name = "Selina Weston",
		category = "vendors",
		description = "Alchemy & Herbalism Supplies",
		faction = "Horde",
	},
	[65805960] = {
		name = "Martine Tramblay",
		category = "vendors",
		description = "Fishing Supplies",
		faction = "Horde",
	},
	[59805260] = {
		name = "Zachariah Post",
		category = "vendors",
		description = "Undead Horse Merchant",
		faction = "Horde",
	},
	[30806640] = {
		name = "Kayla Smithe",
		category = "vendors",
		description = "Demon Trainer",
		faction = "Horde",
	},
	[61605260] = {
		name = "Gina Lang",
		category = "vendors",
		description = "Demon Trainer",
		faction = "Horde",
	},
	[83206960] = {
		name = "Werg Thickblade",
		category = "vendors",
		description = "Leatherworking Supplies",
		faction = "Horde",
	},
}
nodes[1418] = {
	[2804580] = {
		name = "Innkeeper Shul'kar",
		category = "vendors",
		description = "Innkeeper",
		faction = "Neutral",
	},
	[3904730] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[3004740] = {
		name = "Sranda",
		category = "vendors",
		description = "Light Armor & Weapons Merchant",
		faction = "Horde",
	},
	[42405260] = {
		name = "Jazzrik",
		category = "vendors",
		description = "Blacksmithing Supplies",
		faction = "Alliance",
	},
	[57002460] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[3004600] = {
		name = "Grawl",
		category = "vendors",
		description = "General Goods",
		faction = "Horde",
	},
}
nodes[1426] = {
	[47405240] = {
		name = "Innkeeper Belm",
		category = "vendors",
		description = "Innkeeper",
		faction = "Alliance",
	},
	[47005260] = {
		name = "Shelby Stoneflint",
		category = "stablemasters",
		description = "Stable Master",
		faction = "Alliance",
	},
	[28806640] = {
		name = "Durnan Furcutter",
		category = "vendors",
		description = "Cloth & Leather Armor Merchant",
		faction = "Alliance",
	},
	[28606780] = {
		name = "Rybrad Coldbank",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Alliance",
	},
	[28806780] = {
		name = "Grundel Harkin",
		category = "vendors",
		description = "Armorer",
		faction = "Alliance",
	},
	[45205180] = {
		name = "Boran Ironclink",
		category = "vendors",
		description = "Armorer",
		faction = "Alliance",
	},
	[40606500] = {
		name = "Hegnar Rumbleshot",
		category = "vendors",
		description = "Gunsmith",
		faction = "Alliance",
	},
	[45205200] = {
		name = "Grawn Thromwyn",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Alliance",
	},
	[45205160] = {
		name = "Thrawn Boltar",
		category = "vendors",
		description = "Blacksmithing Supplies",
		faction = "Alliance",
	},
	[68805580] = {
		name = "Frast Dokner",
		category = "vendors",
		description = "Apprentice Weaponsmith",
		faction = "Alliance",
	},
	[30204520] = {
		name = "Burdrak Harglhelm",
		category = "vendors",
		description = "Leather Armor Merchant",
		faction = "Alliance",
	},
	[63004980] = {
		name = "Turuk Amberstill",
		category = "vendors",
		description = "Dwarven Weaponsmith",
		faction = "Alliance",
	},
	[29406980] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[28606620] = {
		name = "Alamar Grimm",
		category = "trainers",
		description = "Warlock Trainer",
		faction = "Alliance",
	},
	[28606640] = {
		name = "Marryk Nurribit",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Alliance",
	},
	[29006740] = {
		name = "Thorgas Grimson",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Alliance",
	},
	[28806720] = {
		name = "Thran Khorman",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Alliance",
	},
	[28406740] = {
		name = "Solm Hargrin",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Alliance",
	},
	[28806820] = {
		name = "Bromos Grummner",
		category = "trainers",
		description = "Paladin Trainer",
		faction = "Alliance",
	},
	[47205220] = {
		name = "Maxan Anvol",
		category = "trainers",
		description = "Priest Trainer",
		faction = "Alliance",
	},
	[47405200] = {
		name = "Magis Sparkmantle",
		category = "trainers",
		description = "Mage Trainer",
		faction = "Alliance",
	},
	[47205260] = {
		name = "Thamner Pol",
		category = "trainers",
		description = "Physician",
		faction = "Alliance",
	},
	[45805300] = {
		name = "Grif Wildheart",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Alliance",
	},
	[47605200] = {
		name = "Azar Stronghammer",
		category = "trainers",
		description = "Paladin Trainer",
		faction = "Alliance",
	},
	[47605260] = {
		name = "Hogral Bakkan",
		category = "trainers",
		description = "Rogue Trainer",
		faction = "Alliance",
	},
	[68405440] = {
		name = "Cook Ghilm",
		category = "trainers",
		description = "Cooking Trainer",
		faction = "Alliance",
	},
	[47605240] = {
		name = "Gremlock Pilsnor",
		category = "trainers",
		description = "Cooking Trainer",
		faction = "Alliance",
	},
	[35404020] = {
		name = "Paxton Ganter",
		category = "trainers",
		description = "Fisherman",
		faction = "Alliance",
	},
	[69205540] = {
		name = "Dank Drizzlecut",
		category = "trainers",
		description = "Mining Trainer",
		faction = "Alliance",
	},
	[50205040] = {
		name = "Bronk Guzzlegear",
		category = "trainers",
		description = "Journeyman Engineer",
		faction = "Alliance",
	},
	[46605380] = {
		name = "Peria Lamenur",
		category = "trainers",
		description = "Pet Trainer",
		faction = "Alliance",
	},
	[63805020] = {
		name = "Ultham Ironhorn",
		category = "trainers",
		description = "Ram Riding Instructor",
		faction = "Alliance",
	},
	[50005020] = {
		name = "Yarr Hammerstone",
		category = "trainers",
		description = "Mining Trainer",
		faction = "Alliance",
	},
	[47205360] = {
		name = "Dannie Fizzwizzle",
		category = "vendors",
		description = "Demon Trainer",
		faction = "Alliance",
	},
	[49204800] = {
		name = "Binjy Featherwhistle",
		category = "trainers",
		description = "Mechanostrider Pilot",
		faction = "Alliance",
	},
	[30007140] = {
		name = "Adlin Pridedrift",
		category = "vendors",
		description = "General Supplies",
		faction = "Alliance",
	},
	[68605460] = {
		name = "Kazan Mogosh",
		category = "vendors",
		description = "Food & Drink Merchant",
		faction = "Alliance",
	},
	[63405060] = {
		name = "Veron Amberstill",
		category = "vendors",
		description = "Ram Breeder",
		faction = "Alliance",
	},
	[63205080] = {
		name = "Yarlyn Amberstill",
		category = "vendors",
		description = "None",
		faction = "Alliance",
	},
	[47205240] = {
		name = "Kreg Bilmn",
		category = "vendors",
		description = "General Supplies",
		faction = "Alliance",
	},
	[46605360] = {
		name = "Golorn Frostbeard",
		category = "vendors",
		description = "Tradesman",
		faction = "Alliance",
	},
	[50004940] = {
		name = "Loslor Rudge",
		category = "vendors",
		description = "Engineering Supplies",
		faction = "Alliance",
	},
	[30404600] = {
		name = "Keeg Gibn",
		category = "vendors",
		description = "Ale and Wine",
		faction = "Alliance",
	},
	[28806620] = {
		name = "Wren Darkspring",
		category = "vendors",
		description = "Demon Trainer",
		faction = "Alliance",
	},
	[49004800] = {
		name = "Milli Featherwhistle",
		category = "vendors",
		description = "Mechanostrider Merchant",
		faction = "Alliance",
	},
	[31404460] = {
		name = "Gretta Ganter",
		category = "vendors",
		description = "Fisherman Supplies",
		faction = "Alliance",
	},
}
nodes[1435] = {
	[45005660] = {
		name = "Innkeeper Karakul",
		category = "innkeepers",
		description = "Innkeeper",
		faction = "Horde",
	},
	[45405140] = {
		name = "Gharash",
		category = "vendors",
		description = "Blacksmithing Supplies",
		faction = "Neutral",
	},
	[45005720] = {
		name = "Malosh",
		category = "trainers",
		description = "Warrior Trainer",
		faction = "Neutral",
	},
	[46805380] = {
		name = "Ogromm",
		category = "trainers",
		description = "Hunter Trainer",
		faction = "Neutral",
	},
	[48205540] = {
		name = "Rogvar",
		category = "trainers",
		description = "Master Alchemist",
		faction = "Neutral",
	},
	[45605100] = {
		name = "Hartash",
		category = "vendors",
		description = "Weapon Merchant",
		faction = "Neutral",
	},
	[46405420] = {
		name = "Thultash",
		category = "vendors",
		description = "Food & Drink Vendor",
		faction = "Neutral",
	},
	[45805300] = {
		name = "Thultazor",
		category = "vendors",
		description = "Arcane Goods Vendor",
		faction = "Horde",
	},
	[45205140] = {
		name = "Thralosh",
		category = "vendors",
		description = "Cloth & Leather Armor Merchant",
		faction = "Neutral",
	},
	[44605700] = {
		name = "Banalash",
		category = "vendors",
		description = "Trade Goods",
		faction = "Neutral",
	},
	[45405700] = {
		name = "Rartar",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Neutral",
	},
	[26403160] = {
		name = "Masat T'andr",
		category = "vendors",
		description = "Superior Leatherworker",
		faction = "Neutral",
	},
	[48405540] = {
		name = "Greshka",
		category = "vendors",
		description = "Demon Master",
		faction = "Neutral",
	},
}
nodes[1425] = {
	[14104570] = {
		name = "Mailbox",
		category = "mailboxes",
		description = "None",
		faction = "Neutral",
	},
	[72606840] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[13404340] = {
		name = "Drakk Stonehand",
		category = "trainers",
		description = "Master Leatherworking Trainer",
		faction = "Alliance",
	},
	[14404240] = {
		name = "Truk Wildbeard",
		category = "vendors",
		description = "Bartender",
		faction = "Alliance",
	},
	[13804160] = {
		name = "Innkeeper Thulfram",
		category = "vendors",
		description = "Innkeeper",
		faction = "Neutral",
	},
	[13204320] = {
		name = "Nioma",
		category = "vendors",
		description = "Leatherworking Supplies",
		faction = "Alliance",
	},
	[13404380] = {
		name = "Harggan",
		category = "vendors",
		description = "Blacksmithing Supplies",
		faction = "Neutral",
	},
}
nodes[1450] = {
	[51803300] = {
		name = "Geenia Sunshadow",
		category = "vendors",
		description = "Speciality Dress Maker",
		faction = "Neutral",
	},
	[56403000] = {
		name = "Kharedon",
		category = "vendors",
		description = "Light Armor Merchant",
		faction = "Neutral",
	},
	[51204220] = {
		name = "Meliri",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Alliance",
	},
	[53204280] = {
		name = "Narianna",
		category = "vendors",
		description = "Bowyer",
		faction = "Neutral",
	},
	[45604680] = {
		name = "Malvor",
		category = "trainers",
		description = "Herbalist",
		faction = "Alliance",
	},
	[52404040] = {
		name = "Loganaar",
		category = "trainers",
		description = "Druid Trainer",
		faction = "Neutral",
	},
	[51603320] = {
		name = "Darnall",
		category = "vendors",
		description = "Tailoring Supplies",
		faction = "Neutral",
	},
	[48603920] = {
		name = "Dargon",
		category = "vendors",
		description = "Food & Drink Merchant",
		faction = "Neutral",
	},
	[45203460] = {
		name = "Daeolyn Summerleaf",
		category = "vendors",
		description = "General Goods",
		faction = "Neutral",
	},
	[48404020] = {
		name = "Lorelae Wintersong",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Neutral",
	},
	[44403400] = {
		name = "My'lanna",
		category = "vendors",
		description = "Food & Drink Merchant",
		faction = "Neutral",
	},
}
nodes[1447] = {
	[12007820] = {
		name = "Brinna Valanaar",
		category = "vendors",
		description = "Bowyer",
		faction = "Alliance",
	},
	[70401560] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
}
nodes[1416] = {
	[39408160] = {
		name = "Thanthaldis Snowgleam",
		category = "repair",
		description = "Stormpike Supply Officer",
		faction = "Alliance",
	},
	[62805920] = {
		name = "Jekyll Flandring",
		category = "repair",
		description = "Frostwolf Supply Officer",
		faction = "Horde",
	},
	[84608020] = {
		name = "Fahrad",
		category = "trainers",
		description = "Grand Master Rogue",
		faction = "Horde",
	},
	[38203880] = {
		name = "Bro'kin",
		category = "vendors",
		description = "Alchemy Supplies",
		faction = "Alliance",
	},
	[47203520] = {
		name = "Rizz Loosebolt",
		category = "vendors",
		description = "Engineering Supplies",
		faction = "Alliance",
	},
	[86008000] = {
		name = "Zan Shivsproket",
		category = "vendors",
		description = "Speciality Engineer",
		faction = "Neutral",
	},
	[86007960] = {
		name = "Smudge Thunderwood",
		category = "vendors",
		description = "Poison Vendor",
		faction = "Neutral",
	},
	[40208000] = {
		name = "Mirvyna Jinglepocket",
		category = "vendors",
		description = "Smokywood Pastures",
		faction = "Alliance",
	},
	[62005860] = {
		name = "Dillord Copperpinch",
		category = "vendors",
		description = "Smokywood Pastures",
		faction = "Horde",
	},
}
nodes[1422] = {
	[43008440] = {
		name = "Leonard Porter",
		category = "vendors",
		description = "Leatherworking Supplies",
		faction = "Alliance",
	},
}
nodes[1428] = {
	[85206840] = {
		name = "Felder Stover",
		category = "vendors",
		description = "Weaponsmith",
		faction = "Alliance",
	},
	[84206780] = {
		name = "Gabrielle Chase",
		category = "vendors",
		description = "Food & Drink",
		faction = "Neutral",
	},
}
nodes[1427] = {
	[38602820] = {
		name = "Master Smith Burninate",
		category = "vendors",
		description = "The Thorium Brotherhood",
		faction = "Alliance",
	},
	[41007480] = {
		name = "Graw Cornerstone",
		category = "vendors",
		description = "Mail Armor Merchant",
		faction = "Neutral",
	},
}
nodes[1419] = {
	[66001740] = {
		name = "Strumner Flintheel",
		category = "vendors",
		description = "Armor Crafter",
		faction = "Neutral",
	},
}
nodes[1423] = {
	[47204440] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
	[79406360] = {
		name = "Caretaker Alen",
		category = "vendors",
		description = "The Argent Dawn",
		faction = "Alliance",
	},
	[80405760] = {
		name = "Jase Farlane",
		category = "vendors",
		description = "Trade Supplies",
		faction = "Neutral",
	},
}
nodes[1430] = {
	[40007500] = {
		name = "Spirit Healer",
		category = "spirithealers",
		description = "None",
		faction = "Neutral",
	},
}
nodes[1448] = {
	[62202560] = {
		name = "Malygen",
		category = "vendors",
		description = "General Goods",
		faction = "Neutral",
	},
	[34605300] = {
		name = "Bale",
		category = "vendors",
		description = "General Goods",
		faction = "Neutral",
	},
	[34805300] = {
		name = "Altsoba Ragetotem",
		category = "vendors",
		description = "Weapon Merchant",
		faction = "Neutral",
	},
	[62402580] = {
		name = "Mylini Frostmoon",
		category = "vendors",
		description = "Weapon Merchant",
		faction = "Neutral",
	},
}
nodes[1449] = {
	[44000720] = {
		name = "Gibbert",
		category = "vendors",
		description = "Weapon Merchant",
		faction = "Neutral",
	},
}
nodes[1451] = {
	[81801780] = {
		name = "Zannok Hidepiercer",
		category = "vendors",
		description = "Leatherworking Supplies",
		faction = "Neutral",
	},
	[51803900] = {
		name = "Calandrath",
		category = "vendors",
		description = "Innkeeper",
		faction = "Neutral",
	},
	[48803700] = {
		name = "Khur Hornstriker",
		category = "vendors",
		description = "Reagent Vendor",
		faction = "Neutral",
	},
}


local pluginHandler = { }
function pluginHandler:OnEnter(uiMapId, coord)
    local nodeData = nil
	
    --if (not nodes[mapFile][coord]) then return end
	if (nodes[uiMapId] and nodes[uiMapId][coord]) then
	 nodeData = nodes[uiMapId][coord]
	end
	
	if (not nodeData) then
		--print('No node data for', uiMapId, coord)
		return
	end
	
	local tooltip = self:GetParent() == WorldMapButton and WorldMapTooltip or GameTooltip
	if ( self:GetCenter() > UIParent:GetCenter() ) then -- compare X coordinate
		tooltip:SetOwner(self, "ANCHOR_LEFT")
	else
		tooltip:SetOwner(self, "ANCHOR_RIGHT")
	end

    if (not nodeData.name) then return end
	tooltip:AddLine(nodeData.name)
	if (nodeData.description) then
		tooltip:AddLine(nodeData.description, 0, 0.6, 0.1)
	end
	tooltip:Show()
end

function pluginHandler:OnLeave(mapFile, coord)
	if self:GetParent() == WorldMapButton then
		WorldMapTooltip:Hide()
	else
		GameTooltip:Hide()
	end
end

do
	local tablepool = setmetatable({}, {__mode = 'k'})

	local function iter(t, prestate)
		if not t then return end
		local data = t.data

		local state, value = next(data, prestate)

		while(state) do
			if value then
				if (value.faction == faction or value.faction == "Neutral") then
					local icon = iconDefault
					if icons[value.category] then	
						icon = icons[value.category]
					end
					return state, nil, icon, db.zoneScale, db.zoneAlpha
				end
			end
			state, value = next(data, state)
		end
		wipe(t)
		tablepool[t] = true
	end


	local function iterCont(t, prestate)
		if not t then return end
		if not db.continent then return end
		local zone = t.C[t.Z]
		local data = nodes[zone]
		local state, value
		while zone do
			if data then -- Only if there is data for this zone
				state, value = next(data, prestate)
				while state do -- Have we reached the end of this zone?
					if (value.faction == faction or value.faction == "Neutral") and (not value.hideOnContinent or zone == t.contId) then -- Show on continent?
						local icon = iconDefault
						--print(value.category, icons[value.category])
						if icons[value.category] then	
							icon = icons[value.category]
						end
						return state, zone, icon, db.continentScale, db.continentAlpha
					end
					state, value = next(data, state) -- Get next data
				end
			end
			-- Get next zone
			t.Z = next(t.C, t.Z)
			zone = t.C[t.Z]
			data = nodes[zone]
			prestate = nil
		end
		wipe(t)
		tablepool[t] = true
	end

	function pluginHandler:GetNodes2(uiMapId, isMinimapUpdate)
		--print(uiMapId)
		local C = HandyNotes:GetContinentZoneList(uiMapId) -- Is this a continent?
		if C then
			local tbl = next(tablepool) or {}
			tablepool[tbl] = nil
			tbl.C = C
			tbl.Z = next(C)
			tbl.contId = uiMapId

			return iterCont, tbl, nil
		else -- It is a zone
			if (nodes[uiMapId] == nil) then return iter end -- Throws error if I don't do this
			--print('zone')
			local tbl = next(tablepool) or {}
			tablepool[tbl] = nil

			tbl.data = nodes[uiMapId]

			return iter, tbl, nil
		end
	end
end

local waypoints = {}
local function setWaypoint(mapFile, coord)
	if not TomTom then return end
	local x, y = HandyNotes:getXY(coord)
	TomTom:AddWaypoint(mapFile, x, y, {
		title = nodes[mapFile][coord].name,
		persistent = nil,
		minimap = true,
		world = true
	})
end

function pluginHandler:OnClick(button, pressed, mapFile, coord)
	if (not pressed) then return end
 --print(button, pressed, mapFile, coord)
	if (button == "RightButton" and db.tomtom and TomTom) then
		setWaypoint(mapFile, coord)
		return
	end
end

local defaults = {
	profile = {
		zoneScale = 1,
		zoneAlpha = 1,
		continentScale = 1,
		continentAlpha = 1,
		continent = true,
		tomtom = true,
		undiscovered = true,
	},
	char = {
		learned = {
			['*'] = false,
		}
	},
}

local Addon = CreateFrame("Frame")
Addon:RegisterEvent("PLAYER_LOGIN")
Addon:SetScript("OnEvent", function(self, event, ...) return self[event](self, ...) end)

local function updateStuff()
	HandyNotes:SendMessage("HandyNotes_NotifyUpdate", "HandyNotes_NPCs")
end

function Addon:PLAYER_ENTERING_WORLD()
	faction = UnitFactionGroup("player")
	_, class = UnitClass("player")
	updateStuff()
end

function Addon:PLAYER_LOGIN()
 local options = {
 type = "group",
 name = "NPCs",
 desc = "Locations of various npcs",
 get = function(info) return db[info[#info]] end,
 set = function(info, v) db[info[#info]] = v HandyNotes:SendMessage("HandyNotes_NotifyUpdate", "HandyNotes_NPCs") end,
 args = {
  desc = {
   name = L["These settings control the look and feel of the icon."],
   type = "description",
   order = 0,
  },
  zoneScale = {
   type = "range",
   name = L["Zone Scale"],
   desc = L["The scale of the icons shown on the zone map"],
   min = 0.2, max = 12, step = 0.1,
   order = 10,
  },
  zoneAlpha = {
   type = "range",
   name = L["Zone Alpha"],
   desc = L["The alpha of the icons shown on the zone map"],
   min = 0, max = 1, step = 0.01,
   order = 20,
  },
  continentScale = {
   type = "range",
   name = L["Continent Scale"],
   desc = L["The scale of the icons shown on the continent map"],
   min = 0.2, max = 12, step = 0.1,
   order = 10,
  },
  continentAlpha = {
   type = "range",
   name = L["Continent Alpha"],
   desc = L["The alpha of the icons shown on the continent map"],
   min = 0, max = 1, step = 0.01,
   order = 20,
  },
  continent = {
   type = "toggle",
   name = L["Show on Continent"],
   desc = L["Show icons on continent map"],
   order = 1,
  },
  tomtom = {
   type = "toggle",
   name = L["Enable TomTom integration"],
   desc = L["Allow right click to create waypoints with TomTom"],
   order = 2,
  },
 },
}

 HandyNotes:RegisterPluginDB("HandyNotes_NPCs", pluginHandler, options)
 self.db = LibStub("AceDB-3.0"):New("HandyNotes_NPCsClassicDB", defaults, true)
 db = self.db.profile
 
 Addon:RegisterEvent("PLAYER_ENTERING_WORLD")
end
